

CREATE TABLE [FLW_AD_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_AD_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_AD_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_AD_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_AD_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:40:47.797' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_AD_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_ACTION_DEPLOYMENT] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [KEY_] [nvarchar](255), [CATEGORY_] [nvarchar](255), [DEPLOY_TIME_] [datetime], [TENANT_ID_] [nvarchar](255), [PARENT_DEPLOYMENT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_ACTION_DEPLOYMENT] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ACTION_DEPLOYMENT_RESOURCE] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [DEPLOYMENT_ID_] [nvarchar](255), [RESOURCE_BYTES_] [varbinary](MAX), CONSTRAINT [PK_FLW_ACTION_DEPLOYMENT_RESOURCE] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ACTION_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ACTION_DEFINITION_TENANT_ID_] DEFAULT '', [BOT_KEY_] [nvarchar](128), [MANDATORY_] [bit], [NAME_] [nvarchar](128), [VERSION_] [int], [RESOURCE_NAME_] [nvarchar](4000), [SCOPE_TYPE_] [nvarchar](128), [FORM_KEY_] [nvarchar](128), [GLOBAL_] [bit], [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64) NOT NULL, [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), CONSTRAINT [PK_ACTION_DEFINITIONS] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ACTION_DEF_LINKS] ([ID_] [nvarchar](64) NOT NULL, [ACTION_DEFINITION_ID_] [nvarchar](255) NOT NULL, [REFERENCE_ID_] [nvarchar](255) NOT NULL, [REFERENCE_TYPE_] [nvarchar](255) NOT NULL, [REFERENCE_DEFINITION_TYPE_] [nvarchar](255), CONSTRAINT [PK_ACTION_DEF_LINKS] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ACTION_DEF_LINK_ACTION_DEFS] FOREIGN KEY ([ACTION_DEFINITION_ID_]) REFERENCES [FLW_ACTION_DEFINITION]([ID_]))

CREATE TABLE [FLW_ACTION_INSTANCE] ([ID_] [nvarchar](255) NOT NULL, [ACTION_DEFINITION_ID_] [nvarchar](255) NOT NULL, [START_DATE_] [datetime2](6), [EXECUTION_DATE_] [datetime2](6), [EXECUTED_BY_] [nvarchar](255), [FORM_INSTANCE_ID_] [nvarchar](255), [SCOPE_DEFINITION_ID_] [nvarchar](255), [SCOPE_ID_] [nvarchar](255), [SCOPE_TYPE_] [nvarchar](255), [TENANT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_ACTION_INSTANCE] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 1, '7:c55db757c8da981f1eba144d84f3b710', 'createTable tableName=FLW_ACTION_DEPLOYMENT; createTable tableName=FLW_ACTION_DEPLOYMENT_RESOURCE; createTable tableName=FLW_ACTION_DEFINITION; createTable tableName=FLW_ACTION_DEF_LINKS; createTable tableName=FLW_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

CREATE TABLE [FLW_ACTION_LINK] ([ID_] [nvarchar](255) NOT NULL, [ACTION_INSTANCE_ID_] [nvarchar](255) NOT NULL, [ACTION_DEFINITION_ID_] [nvarchar](255) NOT NULL, [SCOPE_ID_] [nvarchar](255) NOT NULL, [SCOPE_TYPE_] [nvarchar](255) NOT NULL, [CREATION_TIME_] [datetime2](6), CONSTRAINT [PK_FLW_ACTION_LINK] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ACTION_LINK_ACTION_DEF] FOREIGN KEY ([ACTION_DEFINITION_ID_]) REFERENCES [FLW_ACTION_DEFINITION]([ID_]), CONSTRAINT [FK_ACTION_LINK_ACTION_INST] FOREIGN KEY ([ACTION_INSTANCE_ID_]) REFERENCES [FLW_ACTION_INSTANCE]([ID_]))

CREATE NONCLUSTERED INDEX FLW_IDX_ACTION_LINK_SCOPE ON [FLW_ACTION_LINK]([SCOPE_ID_], [SCOPE_TYPE_])

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 2, '7:5e4bff32ad35b7ff3225af7367fee0a4', 'createTable tableName=FLW_ACTION_LINK; createIndex indexName=FLW_IDX_ACTION_LINK_SCOPE, tableName=FLW_ACTION_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

ALTER TABLE [FLW_ACTION_DEFINITION] ADD CONSTRAINT [FK_ACTION_DEF_DEPLOYMENT] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [FLW_ACTION_DEPLOYMENT] ([ID_])

ALTER TABLE [FLW_ACTION_INSTANCE] ADD CONSTRAINT [FK_ACTION_INST_ACTION_DEF] FOREIGN KEY ([ACTION_DEFINITION_ID_]) REFERENCES [FLW_ACTION_DEFINITION] ([ID_])

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 3, '7:5ed72e935faee78950edec7accaa7ddf', 'addForeignKeyConstraint baseTableName=FLW_ACTION_DEFINITION, constraintName=FK_ACTION_DEF_DEPLOYMENT, referencedTableName=FLW_ACTION_DEPLOYMENT; addForeignKeyConstraint baseTableName=FLW_ACTION_INSTANCE, constraintName=FK_ACTION_INST_ACTION_DEF, r...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

CREATE NONCLUSTERED INDEX IDX_ACTION_DEF_LINK_ACTION_DEF ON [FLW_ACTION_DEF_LINKS]([ACTION_DEFINITION_ID_])

CREATE NONCLUSTERED INDEX IDX_ACTION_LINK_ACTION_INST ON [FLW_ACTION_LINK]([ACTION_INSTANCE_ID_])

CREATE NONCLUSTERED INDEX ACTION_DEFINITION_ID_ ON [FLW_ACTION_LINK]([ACTION_DEFINITION_ID_])

CREATE NONCLUSTERED INDEX IDX_ACTION_DEF_DEPLOYMENT ON [FLW_ACTION_DEFINITION]([DEPLOYMENT_ID_])

CREATE NONCLUSTERED INDEX IDX_ACTION_INST_ACTION_DEF ON [FLW_ACTION_INSTANCE]([ACTION_DEFINITION_ID_])

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('4', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 4, '7:d9f08bc7d96af83ed124d0b929b50a8f', 'createIndex indexName=IDX_ACTION_DEF_LINK_ACTION_DEF, tableName=FLW_ACTION_DEF_LINKS; createIndex indexName=IDX_ACTION_LINK_ACTION_INST, tableName=FLW_ACTION_LINK; createIndex indexName=ACTION_DEFINITION_ID_, tableName=FLW_ACTION_LINK; createIndex...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

CREATE TABLE [FLW_HI_ACTION_INSTANCE] ([ID_] [nvarchar](255) NOT NULL, [ACTION_DEFINITION_ID_] [nvarchar](255) NOT NULL, [START_DATE_] [datetime2](6), [EXECUTION_DATE_] [datetime2](6), [EXECUTED_BY_] [nvarchar](255), [FORM_INSTANCE_ID_] [nvarchar](255), [SCOPE_DEFINITION_ID_] [nvarchar](255), [SCOPE_ID_] [nvarchar](255), [SCOPE_TYPE_] [nvarchar](255), [TENANT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_HI_ACTION_INSTANCE] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_HI_ACTION_LINK] ([ID_] [nvarchar](255) NOT NULL, [ACTION_INSTANCE_ID_] [nvarchar](255), [ACTION_DEFINITION_ID_] [nvarchar](255), [SCOPE_ID_] [nvarchar](255) NOT NULL, [SCOPE_TYPE_] [nvarchar](255) NOT NULL, [CREATION_TIME_] [datetime2](6), CONSTRAINT [PK_FLW_HI_ACTION_LINK] PRIMARY KEY ([ID_]))

CREATE NONCLUSTERED INDEX FLW_IDX_HI_ACTION_LINK_SCOPE ON [FLW_HI_ACTION_LINK]([SCOPE_ID_], [SCOPE_TYPE_])

CREATE NONCLUSTERED INDEX IDX_HI_ACTION_LINK_ACTION_INST ON [FLW_HI_ACTION_LINK]([ACTION_INSTANCE_ID_])

CREATE NONCLUSTERED INDEX ACTION_HI_DEFINITION_ID_ ON [FLW_HI_ACTION_LINK]([ACTION_DEFINITION_ID_])

CREATE NONCLUSTERED INDEX IDX_HI_ACTION_INST_ACTION_DEF ON [FLW_HI_ACTION_INSTANCE]([ACTION_DEFINITION_ID_])

ALTER TABLE [FLW_ACTION_INSTANCE] DROP COLUMN [EXECUTED_BY_]

ALTER TABLE [FLW_ACTION_INSTANCE] DROP COLUMN [EXECUTION_DATE_]

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('5', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 5, '7:66b9b62359fe1aa30204f1cb67dfb89e', 'createTable tableName=FLW_HI_ACTION_INSTANCE; createTable tableName=FLW_HI_ACTION_LINK; createIndex indexName=FLW_IDX_HI_ACTION_LINK_SCOPE, tableName=FLW_HI_ACTION_LINK; createIndex indexName=IDX_HI_ACTION_LINK_ACTION_INST, tableName=FLW_HI_ACTION...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

ALTER TABLE [FLW_ACTION_DEFINITION] ALTER COLUMN [CREATOR_ID_] [nvarchar](64) NULL

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('6', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 6, '7:4cae759fbe513a78c08311e4e6afe518', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ACTION_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

CREATE TABLE [FLW_ACTION_DEF_LINK] ([ID_] [nvarchar](255) NOT NULL, [ACTION_DEFINITION_ID_] [nvarchar](255) NOT NULL, [TYPE_] [nvarchar](255) NOT NULL, [LINK_VALUE_] [nvarchar](255), CONSTRAINT [PK_FLW_ACTION_DEF_LINK] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ACTION_DEF_LINK_ACTION_DEF] FOREIGN KEY ([ACTION_DEFINITION_ID_]) REFERENCES [FLW_ACTION_DEFINITION]([ID_]))

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('7', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 7, '7:be7cba73063cfb19d4cb40e52d3c4982', 'createTable tableName=FLW_ACTION_DEF_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

DROP TABLE [FLW_ACTION_DEF_LINKS]

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('8', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 8, '7:6ae84d090ccbb44f0cbd5c3c81862126', 'dropTable tableName=FLW_ACTION_DEF_LINKS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

CREATE NONCLUSTERED INDEX IDX_ACTION_DEF_LINK_ACTION_DEF ON [FLW_ACTION_DEF_LINK]([ACTION_DEFINITION_ID_])

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('9', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 9, '7:53cdd26bbb56f7cb69318514558fb0a5', 'createIndex indexName=IDX_ACTION_DEF_LINK_ACTION_DEF, tableName=FLW_ACTION_DEF_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

ALTER TABLE [FLW_ACTION_INSTANCE] ADD [SUB_SCOPE_ID_] [nvarchar](255)

ALTER TABLE [FLW_HI_ACTION_INSTANCE] ADD [SUB_SCOPE_ID_] [nvarchar](255)

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('10', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 10, '7:dc1ac89af31e4ac83f8205e0713f71f1', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

ALTER TABLE [FLW_ACTION_INSTANCE] ADD [NAME_] [nvarchar](255)

ALTER TABLE [FLW_HI_ACTION_INSTANCE] ADD [NAME_] [nvarchar](255)

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('11', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 11, '7:43c68b959bd5c7a66a2a6a97d1d2c7d8', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

CREATE UNIQUE NONCLUSTERED INDEX ACT_IDX_ACTIONs_DEF_UNIQ ON [FLW_ACTION_DEFINITION]([KEY_], [VERSION_], [TENANT_ID_])

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('12', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 12, '7:13987d51cfbbafac29c9a52d54ab8794', 'createIndex indexName=ACT_IDX_ACTIONs_DEF_UNIQ, tableName=FLW_ACTION_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

ALTER TABLE [FLW_ACTION_INSTANCE] ADD [FORM_KEY_] [nvarchar](128)

ALTER TABLE [FLW_HI_ACTION_INSTANCE] ADD [FORM_KEY_] [nvarchar](128)

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('13', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 13, '7:a487774a4035eb4e2372ffee306cbd0b', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

CREATE TABLE [FLW_ACTION_TYPE_LINK] ([ID_] [nvarchar](255) NOT NULL, [ACTION_INSTANCE_ID_] [nvarchar](255) NOT NULL, [TYPE_] [nvarchar](255) NOT NULL, [LINK_VALUE_] [nvarchar](255), CONSTRAINT [PK_FLW_ACTION_TYPE_LINK] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ACT_TYPE_LINK_ACT_INST] FOREIGN KEY ([ACTION_INSTANCE_ID_]) REFERENCES [FLW_ACTION_INSTANCE]([ID_]))

CREATE NONCLUSTERED INDEX IDX_ACT_TYPE_LINK_ACT_INST ON [FLW_ACTION_TYPE_LINK]([ACTION_INSTANCE_ID_])

INSERT INTO [FLW_AD_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('14', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', GETDATE(), 14, '7:dad8506067937938b450ef6e91a8ed59', 'createTable tableName=FLW_ACTION_TYPE_LINK; createIndex indexName=IDX_ACT_TYPE_LINK_ACT_INST, tableName=FLW_ACTION_TYPE_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459647878')

UPDATE [FLW_AD_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

