
CREATE TABLE FLW_AD_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_AD_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_AD_DATABASECHANGELOGLOCK;

INSERT INTO FLW_AD_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_AD_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:15:03.647' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_AD_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_ACTION_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, KEY_ VARCHAR(255) NULL, CATEGORY_ VARCHAR(255) NULL, DEPLOY_TIME_ datetime NULL, TENANT_ID_ VARCHAR(255) NULL, PARENT_DEPLOYMENT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ACTION_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_ACTION_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, DEPLOYMENT_ID_ VARCHAR(255) NULL, RESOURCE_BYTES_ LONGBLOB NULL, CONSTRAINT PK_FLW_ACTION_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_ACTION_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128) NULL, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, BOT_KEY_ VARCHAR(128) NULL, MANDATORY_ BIT(1) NULL, NAME_ VARCHAR(128) NULL, VERSION_ INT NULL, RESOURCE_NAME_ VARCHAR(4000) NULL, SCOPE_TYPE_ VARCHAR(128) NULL, FORM_KEY_ VARCHAR(128) NULL, GLOBAL_ BIT(1) NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ datetime(6) NULL, UPDATER_ID_ VARCHAR(64) NULL, CONSTRAINT PK_ACTION_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_ACTION_DEF_LINKS (ID_ VARCHAR(64) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, REFERENCE_ID_ VARCHAR(255) NOT NULL, REFERENCE_TYPE_ VARCHAR(255) NOT NULL, REFERENCE_DEFINITION_TYPE_ VARCHAR(255) NULL, CONSTRAINT PK_ACTION_DEF_LINKS PRIMARY KEY (ID_), CONSTRAINT FK_ACTION_DEF_LINK_ACTION_DEFS FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION(ID_));

CREATE TABLE FLW_ACTION_INSTANCE (ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, START_DATE_ datetime(6) NULL, EXECUTION_DATE_ datetime(6) NULL, EXECUTED_BY_ VARCHAR(255) NULL, FORM_INSTANCE_ID_ VARCHAR(255) NULL, SCOPE_DEFINITION_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ACTION_INSTANCE PRIMARY KEY (ID_));

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 1, '7:715c505b07f084ec4794b7b5a51b221f', 'createTable tableName=FLW_ACTION_DEPLOYMENT; createTable tableName=FLW_ACTION_DEPLOYMENT_RESOURCE; createTable tableName=FLW_ACTION_DEFINITION; createTable tableName=FLW_ACTION_DEF_LINKS; createTable tableName=FLW_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

CREATE TABLE FLW_ACTION_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_INSTANCE_ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, SCOPE_ID_ VARCHAR(255) NOT NULL, SCOPE_TYPE_ VARCHAR(255) NOT NULL, CREATION_TIME_ datetime(6) NULL, CONSTRAINT PK_FLW_ACTION_LINK PRIMARY KEY (ID_), CONSTRAINT FK_ACTION_LINK_ACTION_DEF FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION(ID_), CONSTRAINT FK_ACTION_LINK_ACTION_INST FOREIGN KEY (ACTION_INSTANCE_ID_) REFERENCES FLW_ACTION_INSTANCE(ID_));

CREATE INDEX FLW_IDX_ACTION_LINK_SCOPE ON FLW_ACTION_LINK(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 2, '7:da642b1da8880aa55d98a38bce79f08d', 'createTable tableName=FLW_ACTION_LINK; createIndex indexName=FLW_IDX_ACTION_LINK_SCOPE, tableName=FLW_ACTION_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

ALTER TABLE FLW_ACTION_DEFINITION ADD CONSTRAINT FK_ACTION_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_ACTION_DEPLOYMENT (ID_);

ALTER TABLE FLW_ACTION_INSTANCE ADD CONSTRAINT FK_ACTION_INST_ACTION_DEF FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION (ID_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 3, '7:5ed72e935faee78950edec7accaa7ddf', 'addForeignKeyConstraint baseTableName=FLW_ACTION_DEFINITION, constraintName=FK_ACTION_DEF_DEPLOYMENT, referencedTableName=FLW_ACTION_DEPLOYMENT; addForeignKeyConstraint baseTableName=FLW_ACTION_INSTANCE, constraintName=FK_ACTION_INST_ACTION_DEF, r...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

CREATE TABLE FLW_HI_ACTION_INSTANCE (ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, START_DATE_ datetime(6) NULL, EXECUTION_DATE_ datetime(6) NULL, EXECUTED_BY_ VARCHAR(255) NULL, FORM_INSTANCE_ID_ VARCHAR(255) NULL, SCOPE_DEFINITION_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_HI_ACTION_INSTANCE PRIMARY KEY (ID_));

CREATE TABLE FLW_HI_ACTION_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_INSTANCE_ID_ VARCHAR(255) NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NOT NULL, SCOPE_TYPE_ VARCHAR(255) NOT NULL, CREATION_TIME_ datetime(6) NULL, CONSTRAINT PK_FLW_HI_ACTION_LINK PRIMARY KEY (ID_));

CREATE INDEX FLW_IDX_HI_ACTION_LINK_SCOPE ON FLW_HI_ACTION_LINK(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX IDX_HI_ACTION_LINK_ACTION_INST ON FLW_HI_ACTION_LINK(ACTION_INSTANCE_ID_);

CREATE INDEX ACTION_HI_DEFINITION_ID_ ON FLW_HI_ACTION_LINK(ACTION_DEFINITION_ID_);

CREATE INDEX IDX_HI_ACTION_INST_ACTION_DEF ON FLW_HI_ACTION_INSTANCE(ACTION_DEFINITION_ID_);

ALTER TABLE FLW_ACTION_INSTANCE DROP COLUMN EXECUTED_BY_;

ALTER TABLE FLW_ACTION_INSTANCE DROP COLUMN EXECUTION_DATE_;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 4, '7:26a4bc49b288e892048389d88b283d02', 'createTable tableName=FLW_HI_ACTION_INSTANCE; createTable tableName=FLW_HI_ACTION_LINK; createIndex indexName=FLW_IDX_HI_ACTION_LINK_SCOPE, tableName=FLW_HI_ACTION_LINK; createIndex indexName=IDX_HI_ACTION_LINK_ACTION_INST, tableName=FLW_HI_ACTION...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

ALTER TABLE FLW_ACTION_DEFINITION MODIFY CREATOR_ID_ VARCHAR(64) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 5, '7:25614514e47f8e982657584a3de2b1b5', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ACTION_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

CREATE TABLE FLW_ACTION_DEF_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, TYPE_ VARCHAR(255) NOT NULL, LINK_VALUE_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ACTION_DEF_LINK PRIMARY KEY (ID_), CONSTRAINT FK_ACTION_DEF_LINK_ACTION_DEF FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION(ID_));

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 6, '7:c2d63267cb6c494fca5b560db79054c4', 'createTable tableName=FLW_ACTION_DEF_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

DROP TABLE FLW_ACTION_DEF_LINKS;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 7, '7:6ae84d090ccbb44f0cbd5c3c81862126', 'dropTable tableName=FLW_ACTION_DEF_LINKS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

ALTER TABLE FLW_ACTION_INSTANCE ADD SUB_SCOPE_ID_ VARCHAR(255) NULL;

ALTER TABLE FLW_HI_ACTION_INSTANCE ADD SUB_SCOPE_ID_ VARCHAR(255) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 8, '7:262e2b954e7d2ae044782469e58d8088', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

ALTER TABLE FLW_ACTION_INSTANCE ADD NAME_ VARCHAR(255) NULL;

ALTER TABLE FLW_HI_ACTION_INSTANCE ADD NAME_ VARCHAR(255) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('11', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 9, '7:c672eb4462f2a95b7466eb60157d3124', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

CREATE UNIQUE INDEX ACT_IDX_ACTIONs_DEF_UNIQ ON FLW_ACTION_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 10, '7:13987d51cfbbafac29c9a52d54ab8794', 'createIndex indexName=ACT_IDX_ACTIONs_DEF_UNIQ, tableName=FLW_ACTION_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

ALTER TABLE FLW_ACTION_INSTANCE ADD FORM_KEY_ VARCHAR(128) NULL;

ALTER TABLE FLW_HI_ACTION_INSTANCE ADD FORM_KEY_ VARCHAR(128) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 11, '7:d49c6f2f961fa5417234e0b39d89f5ef', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

CREATE TABLE FLW_ACTION_TYPE_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_INSTANCE_ID_ VARCHAR(255) NOT NULL, TYPE_ VARCHAR(255) NOT NULL, LINK_VALUE_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ACTION_TYPE_LINK PRIMARY KEY (ID_), CONSTRAINT FK_ACT_TYPE_LINK_ACT_INST FOREIGN KEY (ACTION_INSTANCE_ID_) REFERENCES FLW_ACTION_INSTANCE(ID_));

CREATE INDEX IDX_ACT_TYPE_LINK_ACT_INST ON FLW_ACTION_TYPE_LINK(ACTION_INSTANCE_ID_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 12, '7:e45798660148d658dcd04d47a4d78767', 'createTable tableName=FLW_ACTION_TYPE_LINK; createIndex indexName=IDX_ACT_TYPE_LINK_ACT_INST, tableName=FLW_ACTION_TYPE_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458103670');

UPDATE FLW_AD_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

