

CREATE TABLE [ACT_APP_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_ACT_APP_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [ACT_APP_DATABASECHANGELOGLOCK]

INSERT INTO [ACT_APP_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [ACT_APP_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:40:25.864' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [ACT_APP_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [ACT_APP_DEPLOYMENT] ([ID_] [varchar](255) NOT NULL, [NAME_] [varchar](255), [CATEGORY_] [varchar](255), [KEY_] [varchar](255), [DEPLOY_TIME_] [datetime], [TENANT_ID_] [varchar](255) CONSTRAINT [DF_ACT_APP_DEPLOYMENT_TENANT_ID_] DEFAULT '', CONSTRAINT [PK_ACT_APP_DEPLOYMENT] PRIMARY KEY ([ID_]))

CREATE TABLE [ACT_APP_DEPLOYMENT_RESOURCE] ([ID_] [varchar](255) NOT NULL, [NAME_] [varchar](255), [DEPLOYMENT_ID_] [varchar](255), [RESOURCE_BYTES_] [varbinary](MAX), CONSTRAINT [PK_APP_DEPLOYMENT_RESOURCE] PRIMARY KEY ([ID_]))

ALTER TABLE [ACT_APP_DEPLOYMENT_RESOURCE] ADD CONSTRAINT [ACT_FK_APP_RSRC_DPL] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [ACT_APP_DEPLOYMENT] ([ID_])

CREATE NONCLUSTERED INDEX ACT_IDX_APP_RSRC_DPL ON [ACT_APP_DEPLOYMENT_RESOURCE]([DEPLOYMENT_ID_])

CREATE TABLE [ACT_APP_APPDEF] ([ID_] [varchar](255) NOT NULL, [REV_] [int] NOT NULL, [NAME_] [varchar](255), [KEY_] [varchar](255) NOT NULL, [VERSION_] [int] NOT NULL, [CATEGORY_] [varchar](255), [DEPLOYMENT_ID_] [varchar](255), [RESOURCE_NAME_] [varchar](4000), [DESCRIPTION_] [varchar](4000), [TENANT_ID_] [varchar](255) CONSTRAINT [DF_ACT_APP_APPDEF_TENANT_ID_] DEFAULT '', CONSTRAINT [PK_ACT_APP_APPDEF] PRIMARY KEY ([ID_]))

ALTER TABLE [ACT_APP_APPDEF] ADD CONSTRAINT [ACT_FK_APP_DEF_DPLY] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [ACT_APP_DEPLOYMENT] ([ID_])

CREATE NONCLUSTERED INDEX ACT_IDX_APP_DEF_DPLY ON [ACT_APP_APPDEF]([DEPLOYMENT_ID_])

INSERT INTO [ACT_APP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'org/flowable/app/db/liquibase/flowable-app-db-changelog.xml', GETDATE(), 1, '7:ec9776f6c57a3953c7d27499108df3d1', 'createTable tableName=ACT_APP_DEPLOYMENT; createTable tableName=ACT_APP_DEPLOYMENT_RESOURCE; addForeignKeyConstraint baseTableName=ACT_APP_DEPLOYMENT_RESOURCE, constraintName=ACT_FK_APP_RSRC_DPL, referencedTableName=ACT_APP_DEPLOYMENT; createIndex...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459625949')

CREATE UNIQUE NONCLUSTERED INDEX ACT_IDX_APP_DEF_UNIQ ON [ACT_APP_APPDEF]([KEY_], [VERSION_], [TENANT_ID_])

INSERT INTO [ACT_APP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'org/flowable/app/db/liquibase/flowable-app-db-changelog.xml', GETDATE(), 2, '7:4ef4a0a9e9cfb636c22126d540cdd38e', 'createIndex indexName=ACT_IDX_APP_DEF_UNIQ, tableName=ACT_APP_APPDEF', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459625949')

ALTER TABLE [ACT_APP_APPDEF] ADD [TYPE_] [varchar](255)

ALTER TABLE [ACT_APP_APPDEF] ADD [SUB_TYPE_] [varchar](255)

ALTER TABLE [ACT_APP_APPDEF] ADD [STATE_] [varchar](255)

ALTER TABLE [ACT_APP_APPDEF] ADD [SUB_STATE_] [varchar](255)

ALTER TABLE [ACT_APP_APPDEF] ADD [APP_URL_] [varchar](255)

CREATE TABLE [ACT_APP_PAGEDEF] ([ID_] [varchar](255) NOT NULL, [REV_] [int] NOT NULL, [APP_ID_] [varchar](255), [NAME_] [varchar](255), [KEY_] [varchar](255) NOT NULL, [PAGE_URL_] [varchar](255), CONSTRAINT [PK_ACT_APP_PAGEDEF] PRIMARY KEY ([ID_]))

INSERT INTO [ACT_APP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('4', 'flowable', 'org/flowable/app/db/liquibase/flowable-app-db-changelog.xml', GETDATE(), 3, '7:0dbad89a132929a9cf3c1cf3873c87e7', 'addColumn tableName=ACT_APP_APPDEF; createTable tableName=ACT_APP_PAGEDEF', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459625949')

ALTER TABLE [ACT_APP_PAGEDEF] ADD [APP_KEY_] [varchar](255)

ALTER TABLE [ACT_APP_PAGEDEF] ADD [DEPLOYMENT_ID_] [varchar](255)

ALTER TABLE [ACT_APP_PAGEDEF] ADD [TENANT_ID_] [varchar](255)

INSERT INTO [ACT_APP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('5', 'flowable', 'org/flowable/app/db/liquibase/flowable-app-db-changelog.xml', GETDATE(), 4, '7:f3b5fc88b2062632c482e920f8775f53', 'addColumn tableName=ACT_APP_PAGEDEF', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459625949')

UPDATE [ACT_APP_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

