

CREATE TABLE [FLW_CO_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_CO_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_CO_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_CO_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_CO_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:40:39.941' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_CO_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_CO_CONTENT_ITEM] ([ID_] [varchar](255) NOT NULL, [NAME_] [varchar](255) NOT NULL, [MIME_TYPE_] [varchar](255), [TASK_ID_] [varchar](255), [PROC_INST_ID_] [varchar](255), [CONTENT_STORE_ID_] [varchar](255), [CONTENT_STORE_NAME_] [varchar](255), [FIELD_] [varchar](400), [CONTENT_AVAILABLE_] [bit] CONSTRAINT [DF_FLW_CO_CONTENT_ITEM_CONTENT_AVAILABLE_] DEFAULT 0, [CREATED_] [datetime], [CREATED_BY_] [varchar](255), [LAST_MODIFIED_] [datetime], [LAST_MODIFIED_BY_] [varchar](255), [CONTENT_SIZE_] [bigint] CONSTRAINT [DF_FLW_CO_CONTENT_ITEM_CONTENT_SIZE_] DEFAULT 0, [TENANT_ID_] [varchar](255), CONSTRAINT [PK_FLW_CO_CONTENT_ITEM] PRIMARY KEY ([ID_]))

CREATE NONCLUSTERED INDEX idx_contitem_taskid ON [FLW_CO_CONTENT_ITEM]([TASK_ID_])

CREATE NONCLUSTERED INDEX idx_contitem_procid ON [FLW_CO_CONTENT_ITEM]([PROC_INST_ID_])

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 1, '7:6e7a92ae97a9c5ad391a6d518f225887', 'createTable tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_taskid, tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_procid, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [SCOPE_ID_] [varchar](255)

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [SCOPE_TYPE_] [varchar](255)

CREATE NONCLUSTERED INDEX idx_contitem_scope ON [FLW_CO_CONTENT_ITEM]([SCOPE_ID_], [SCOPE_TYPE_])

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 2, '7:145f5d28f0c1f0acc639d0dd905917fc', 'addColumn tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_scope, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

CREATE TABLE [FLW_CO_RENDITION_ITEM] ([ID_] [varchar](255) NOT NULL, [CONTENT_ITEM_ID_] [varchar](255) NOT NULL, [NAME_] [varchar](255) NOT NULL, [MIME_TYPE_] [varchar](255), [TASK_ID_] [varchar](255), [PROC_INST_ID_] [varchar](255), [CONTENT_STORE_ID_] [varchar](255), [CONTENT_STORE_NAME_] [varchar](255), [CONTENT_AVAILABLE_] [bit] CONSTRAINT [DF_FLW_CO_RENDITION_ITEM_CONTENT_AVAILABLE_] DEFAULT 0, [CREATED_] [datetime], [LAST_MODIFIED_] [datetime], [CONTENT_SIZE_] [bigint] CONSTRAINT [DF_FLW_CO_RENDITION_ITEM_CONTENT_SIZE_] DEFAULT 0, [TENANT_ID_] [varchar](255), [SCOPE_ID_] [varchar](255), [SCOPE_TYPE_] [varchar](255), CONSTRAINT [PK_FLW_CO_RENDITION_ITEM] PRIMARY KEY ([ID_]))

CREATE NONCLUSTERED INDEX idx_rendition_taskid ON [FLW_CO_RENDITION_ITEM]([TASK_ID_])

CREATE NONCLUSTERED INDEX idx_rendition_procid ON [FLW_CO_RENDITION_ITEM]([PROC_INST_ID_])

CREATE NONCLUSTERED INDEX idx_rendition_scope ON [FLW_CO_RENDITION_ITEM]([SCOPE_ID_], [SCOPE_TYPE_])

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 3, '7:7b29eaf43fac87a767fcb9e2a19016b3', 'createTable tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_taskid, tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_procid, tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_scope, table...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

ALTER TABLE [FLW_CO_CONTENT_ITEM] DROP COLUMN [FIELD_]

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('4', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 4, '7:f85c5a823734966db4c0a5d972b29620', 'dropColumn columnName=FIELD_, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

CREATE TABLE [FLW_CO_CONTENT_OBJECT] ([ID_] [varchar](255) NOT NULL, [CREATED_] [datetime], [CONTENT_] [varbinary](MAX), CONSTRAINT [PK_FLW_CO_CONTENT_OBJECT] PRIMARY KEY ([ID_]))

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [LOCK_INFO_] [varchar](255)

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('5', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 5, '7:244196650fb5485babd5fd9e384b373a', 'createTable tableName=FLW_CO_CONTENT_OBJECT; addColumn tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

ALTER TABLE [FLW_CO_RENDITION_ITEM] ADD [RENDITION_TYPE_] [varchar](255)

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('6', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 6, '7:28652b75e4fe380d4690dd452dc51b96', 'addColumn tableName=FLW_CO_RENDITION_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

CREATE TABLE [FLW_CO_DEPLOYMENT] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [KEY_] [nvarchar](255), [CATEGORY_] [nvarchar](255), [DEPLOY_TIME_] [datetime], [TENANT_ID_] [nvarchar](255), [PARENT_DEPLOYMENT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_CO_DEPLOYMENT] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_CO_DEPLOYMENT_RESOURCE] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [DEPLOYMENT_ID_] [nvarchar](255), [RESOURCE_BYTES_] [varbinary](MAX), CONSTRAINT [PK_FLW_CO_DEPLOYMENT_RESOURCE] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_CO_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_CO_DEFINITION_TENANT_ID_] DEFAULT '', [NAME_] [nvarchar](128), [VERSION_] [int], [RESOURCE_NAME_] [nvarchar](4000), [CATEGORY_] [nvarchar](255), [CREATION_TIME_] [datetime2](6) NOT NULL, [UPDATE_TIME_] [datetime2](6), CONSTRAINT [PK_CO_DEFINITIONS] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('7', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 7, '7:f5c080c2d7c1a5863fca0894a370ff0d', 'createTable tableName=FLW_CO_DEPLOYMENT; createTable tableName=FLW_CO_DEPLOYMENT_RESOURCE; createTable tableName=FLW_CO_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

CREATE TABLE [FLW_CO_METADATA] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [TYPE_] [nvarchar](255), [NAME_] [nvarchar](255), [CONTENT_ITEM_ID_] [nvarchar](255), [BYTEARRAY_ID_] [nvarchar](255), [DOUBLE_] [float](53), [LONG_] [bigint], [TEXT_] [nvarchar](4000), [TEXT2_] [nvarchar](4000), CONSTRAINT [PK_FLW_CO_METADATA] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('8', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 8, '7:88114bd1be5f921edf5534255178889d', 'createTable tableName=FLW_CO_METADATA', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [VERSION_] [int]

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [VERSION_INFO_] [nvarchar](255)

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [VERSION_PARENT_ID_] [nvarchar](255)

UPDATE FLW_CO_CONTENT_ITEM SET VERSION_ = 1

UPDATE FLW_CO_CONTENT_ITEM SET VERSION_PARENT_ID_ = ID_

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('9', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 9, '7:9c077298eced03901ce15ffffb867dc4', 'addColumn tableName=FLW_CO_CONTENT_ITEM; sql; sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [DEFINITION_ID_] [nvarchar](255)

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [TYPE_] [nvarchar](255)

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [SUB_TYPE_] [nvarchar](255)

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [STATE_] [nvarchar](255)

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [SUB_STATE_] [nvarchar](255)

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('10', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 10, '7:f4252c6e065037bbdae37489b89ae73a', 'addColumn tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [FOLDER_PARENT_ID_] [varchar](255)

CREATE NONCLUSTERED INDEX idx_contitem_folder ON [FLW_CO_CONTENT_ITEM]([FOLDER_PARENT_ID_])

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('11', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 11, '7:37593722c93d2f3778a60e07c18a1ba8', 'addColumn tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_folder, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

CREATE NONCLUSTERED INDEX idx_contitem_name ON [FLW_CO_CONTENT_ITEM]([NAME_])

CREATE NONCLUSTERED INDEX idx_contitem_verparid ON [FLW_CO_CONTENT_ITEM]([VERSION_PARENT_ID_])

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('12', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 12, '7:cec4cae9cd0cfbcfa2a053eb264f9fe4', 'createIndex indexName=idx_contitem_name, tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_verparid, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

ALTER TABLE [FLW_CO_CONTENT_ITEM] ADD [FOLDER_BASE_ID_] [varchar](255)

CREATE NONCLUSTERED INDEX idx_contitem_bfolder ON [FLW_CO_CONTENT_ITEM]([FOLDER_BASE_ID_])

INSERT INTO [FLW_CO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('13', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', GETDATE(), 13, '7:ad12ab5a08fbf916a753b039145c4beb', 'addColumn tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_bfolder, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459640029')

UPDATE [FLW_CO_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

