
CREATE TABLE flw_co_databasechangeloglock (ID INT NOT NULL, LOCKED BOOLEAN NOT NULL, LOCKGRANTED TIMESTAMP WITHOUT TIME ZONE, LOCKEDBY VARCHAR(255), CONSTRAINT PK_FLW_CO_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM flw_co_databasechangeloglock;

INSERT INTO flw_co_databasechangeloglock (ID, LOCKED) VALUES (1, FALSE);

UPDATE flw_co_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:34.771' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE flw_co_databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_CO_CONTENT_ITEM (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NOT NULL, MIME_TYPE_ VARCHAR(255), TASK_ID_ VARCHAR(255), PROC_INST_ID_ VARCHAR(255), CONTENT_STORE_ID_ VARCHAR(255), CONTENT_STORE_NAME_ VARCHAR(255), FIELD_ VARCHAR(400), CONTENT_AVAILABLE_ BOOLEAN DEFAULT FALSE, CREATED_ TIMESTAMP(6) WITHOUT TIME ZONE, CREATED_BY_ VARCHAR(255), LAST_MODIFIED_ TIMESTAMP(6) WITHOUT TIME ZONE, LAST_MODIFIED_BY_ VARCHAR(255), CONTENT_SIZE_ BIGINT DEFAULT 0, TENANT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_CO_CONTENT_ITEM PRIMARY KEY (ID_));

CREATE INDEX idx_contitem_taskid ON FLW_CO_CONTENT_ITEM(TASK_ID_);

CREATE INDEX idx_contitem_procid ON FLW_CO_CONTENT_ITEM(PROC_INST_ID_);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 1, '7:6e7a92ae97a9c5ad391a6d518f225887', 'createTable tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_taskid, tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_procid, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD SCOPE_ID_ VARCHAR(255);

ALTER TABLE FLW_CO_CONTENT_ITEM ADD SCOPE_TYPE_ VARCHAR(255);

CREATE INDEX idx_contitem_scope ON FLW_CO_CONTENT_ITEM(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 2, '7:145f5d28f0c1f0acc639d0dd905917fc', 'addColumn tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_scope, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

CREATE TABLE FLW_CO_RENDITION_ITEM (ID_ VARCHAR(255) NOT NULL, CONTENT_ITEM_ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NOT NULL, MIME_TYPE_ VARCHAR(255), TASK_ID_ VARCHAR(255), PROC_INST_ID_ VARCHAR(255), CONTENT_STORE_ID_ VARCHAR(255), CONTENT_STORE_NAME_ VARCHAR(255), CONTENT_AVAILABLE_ BOOLEAN DEFAULT FALSE, CREATED_ TIMESTAMP(6) WITHOUT TIME ZONE, LAST_MODIFIED_ TIMESTAMP(6) WITHOUT TIME ZONE, CONTENT_SIZE_ BIGINT DEFAULT 0, TENANT_ID_ VARCHAR(255), SCOPE_ID_ VARCHAR(255), SCOPE_TYPE_ VARCHAR(255), CONSTRAINT PK_FLW_CO_RENDITION_ITEM PRIMARY KEY (ID_));

CREATE INDEX idx_rendition_taskid ON FLW_CO_RENDITION_ITEM(TASK_ID_);

CREATE INDEX idx_rendition_procid ON FLW_CO_RENDITION_ITEM(PROC_INST_ID_);

CREATE INDEX idx_rendition_scope ON FLW_CO_RENDITION_ITEM(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 3, '7:7b29eaf43fac87a767fcb9e2a19016b3', 'createTable tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_taskid, tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_procid, tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_scope, table...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

ALTER TABLE FLW_CO_CONTENT_ITEM DROP COLUMN FIELD_;

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 4, '7:f85c5a823734966db4c0a5d972b29620', 'dropColumn columnName=FIELD_, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

CREATE TABLE FLW_CO_CONTENT_OBJECT (ID_ VARCHAR(255) NOT NULL, CREATED_ TIMESTAMP(6) WITHOUT TIME ZONE, CONTENT_ BYTEA, CONSTRAINT PK_FLW_CO_CONTENT_OBJECT PRIMARY KEY (ID_));

ALTER TABLE FLW_CO_CONTENT_ITEM ADD LOCK_INFO_ VARCHAR(255);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 5, '7:244196650fb5485babd5fd9e384b373a', 'createTable tableName=FLW_CO_CONTENT_OBJECT; addColumn tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

ALTER TABLE FLW_CO_RENDITION_ITEM ADD RENDITION_TYPE_ VARCHAR(255);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 6, '7:28652b75e4fe380d4690dd452dc51b96', 'addColumn tableName=FLW_CO_RENDITION_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

CREATE TABLE FLW_CO_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), KEY_ VARCHAR(255), CATEGORY_ VARCHAR(255), DEPLOY_TIME_ TIMESTAMP WITHOUT TIME ZONE, TENANT_ID_ VARCHAR(255), PARENT_DEPLOYMENT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_CO_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_CO_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), DEPLOYMENT_ID_ VARCHAR(255), RESOURCE_BYTES_ BYTEA, CONSTRAINT PK_FLW_CO_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_CO_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128), DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '', NAME_ VARCHAR(128), VERSION_ INT, RESOURCE_NAME_ VARCHAR(4000), CATEGORY_ VARCHAR(255), CREATION_TIME_ TIMESTAMP(6) WITHOUT TIME ZONE NOT NULL, UPDATE_TIME_ TIMESTAMP(6) WITHOUT TIME ZONE, CONSTRAINT PK_CO_DEFINITIONS PRIMARY KEY (ID_));

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 7, '7:d309378b3332abb360413ece874c876a', 'createTable tableName=FLW_CO_DEPLOYMENT; createTable tableName=FLW_CO_DEPLOYMENT_RESOURCE; createTable tableName=FLW_CO_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

CREATE TABLE FLW_CO_METADATA (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, TYPE_ VARCHAR(255), NAME_ VARCHAR(255), CONTENT_ITEM_ID_ VARCHAR(255), BYTEARRAY_ID_ VARCHAR(255), DOUBLE_ DOUBLE PRECISION, LONG_ BIGINT, TEXT_ VARCHAR(4000), TEXT2_ VARCHAR(4000), CONSTRAINT PK_FLW_CO_METADATA PRIMARY KEY (ID_));

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 8, '7:d9ae2d7156f6163525024216673337c4', 'createTable tableName=FLW_CO_METADATA', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD VERSION_ INT;

ALTER TABLE FLW_CO_CONTENT_ITEM ADD VERSION_INFO_ VARCHAR(255);

ALTER TABLE FLW_CO_CONTENT_ITEM ADD VERSION_PARENT_ID_ VARCHAR(255);

UPDATE FLW_CO_CONTENT_ITEM SET VERSION_ = 1;

UPDATE FLW_CO_CONTENT_ITEM SET VERSION_PARENT_ID_ = ID_;

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 9, '7:4fc883e77092c18531f6777286f1c11a', 'addColumn tableName=FLW_CO_CONTENT_ITEM; sql; sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD DEFINITION_ID_ VARCHAR(255);

ALTER TABLE FLW_CO_CONTENT_ITEM ADD TYPE_ VARCHAR(255);

ALTER TABLE FLW_CO_CONTENT_ITEM ADD SUB_TYPE_ VARCHAR(255);

ALTER TABLE FLW_CO_CONTENT_ITEM ADD STATE_ VARCHAR(255);

ALTER TABLE FLW_CO_CONTENT_ITEM ADD SUB_STATE_ VARCHAR(255);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 10, '7:2109341310362f70024460ca174ac209', 'addColumn tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD FOLDER_PARENT_ID_ VARCHAR(255);

CREATE INDEX idx_contitem_folder ON FLW_CO_CONTENT_ITEM(FOLDER_PARENT_ID_);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('11', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 11, '7:37593722c93d2f3778a60e07c18a1ba8', 'addColumn tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_folder, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

CREATE INDEX idx_contitem_name ON FLW_CO_CONTENT_ITEM(NAME_);

CREATE INDEX idx_contitem_verparid ON FLW_CO_CONTENT_ITEM(VERSION_PARENT_ID_);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 12, '7:cec4cae9cd0cfbcfa2a053eb264f9fe4', 'createIndex indexName=idx_contitem_name, tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_verparid, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD FOLDER_BASE_ID_ VARCHAR(255);

CREATE INDEX idx_contitem_bfolder ON FLW_CO_CONTENT_ITEM(FOLDER_BASE_ID_);

INSERT INTO flw_co_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 13, '7:ad12ab5a08fbf916a753b039145c4beb', 'addColumn tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_bfolder, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457954797');

UPDATE flw_co_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

