

CREATE TABLE [FLW_DO_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_DO_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_DO_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_DO_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_DO_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:41:02.645' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_DO_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_DATAOBJECT_DEPLOYMENT] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [KEY_] [nvarchar](255), [CATEGORY_] [nvarchar](255), [DEPLOY_TIME_] [datetime], [TENANT_ID_] [nvarchar](255), [PARENT_DEPLOYMENT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_DATAOBJECT_DEPLOYMENT] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_DO_DEPLOYMENT_RESOURCE] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [DEPLOYMENT_ID_] [nvarchar](255), [RESOURCE_BYTES_] [varbinary](MAX), CONSTRAINT [PK_FLW_DO_DEPLOYMENT_RESOURCE] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_DATAOBJECT_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_DATAOBJECT_DEFINITION_TENANT_ID_] DEFAULT '', [NAME_] [nvarchar](128), [VERSION_] [int], [RESOURCE_NAME_] [nvarchar](4000), [SOURCE_ID_] [nvarchar](128), [SOURCE_TYPE_] [nvarchar](128), [TYPE_] [nvarchar](128), [SUB_TYPE_] [nvarchar](128), [EXTERNAL_ID_] [nvarchar](128), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), CONSTRAINT [PK_DO_DEFINITIONS] PRIMARY KEY ([ID_]))

ALTER TABLE [FLW_DATAOBJECT_DEFINITION] ADD CONSTRAINT [FK_DATAOBJECT_DEF_DEPLOYMENT] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [FLW_DATAOBJECT_DEPLOYMENT] ([ID_])

CREATE NONCLUSTERED INDEX IDX_DATAOBJECT_DEF_DEPLOYMENT ON [FLW_DATAOBJECT_DEFINITION]([DEPLOYMENT_ID_])

CREATE UNIQUE NONCLUSTERED INDEX FLW_IDX_DATAOBJECT_DEF_UNIQ ON [FLW_DATAOBJECT_DEFINITION]([KEY_], [VERSION_], [TENANT_ID_])

INSERT INTO [FLW_DO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', GETDATE(), 1, '7:517af7c87358a1210382538990df06b3', 'createTable tableName=FLW_DATAOBJECT_DEPLOYMENT; createTable tableName=FLW_DO_DEPLOYMENT_RESOURCE; createTable tableName=FLW_DATAOBJECT_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DATAOBJECT_DEFINITION, constraintName=FK_DATAOBJECT_DEF_D...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459662716')

CREATE TABLE [FLW_MASTER_DATA_INSTANCE] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [DEFINITION_ID_] [nvarchar](255) NOT NULL, [DEFINITION_KEY_] [nvarchar](255) NOT NULL, [EXTERNAL_ID_] [nvarchar](128), [KEY_] [nvarchar](128), [NAME_] [nvarchar](255), [STATE_] [nvarchar](64), [SORT_ORDER_] [int], [IS_FAVORITE_] [bit], [DESCRIPTION_] [nvarchar](2000), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](128), [UPDATE_TIME_] [datetime2](6) NOT NULL, [UPDATER_ID_] [nvarchar](128), CONSTRAINT [PK_DO_DATA_INSTANCES] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_DO_VARIABLES] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [TYPE_] [nvarchar](255), [NAME_] [nvarchar](255), [DATA_INSTANCE_ID_] [nvarchar](255), [BYTEARRAY_ID_] [nvarchar](255), [DOUBLE_] [float](53), [LONG_] [bigint], [TEXT_] [nvarchar](4000), [TEXT2_] [nvarchar](4000), CONSTRAINT [PK_FLW_DO_VARIABLES] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_DO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', GETDATE(), 2, '7:6b28f71231b5dead35ffaaa97564babb', 'createTable tableName=FLW_MASTER_DATA_INSTANCE; createTable tableName=FLW_DO_VARIABLES', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459662716')

CREATE TABLE [FLW_DO_SCHEMA_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_DO_SCHEMA_DEFINITION_TENANT_ID_] DEFAULT '', [VERSION_] [int], [RESOURCE_NAME_] [nvarchar](4000), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), CONSTRAINT [PK_DO_SCHEMA_DEFINITIONS] PRIMARY KEY ([ID_]))

ALTER TABLE [FLW_DO_SCHEMA_DEFINITION] ADD CONSTRAINT [FK_DO_SCHEMA_DEF_DEPLOYMENT] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [FLW_DATAOBJECT_DEPLOYMENT] ([ID_])

CREATE NONCLUSTERED INDEX IDX_DO_SCHEMA_DEF_DEPLOYMENT ON [FLW_DO_SCHEMA_DEFINITION]([DEPLOYMENT_ID_])

CREATE UNIQUE NONCLUSTERED INDEX FLW_IDX_DO_SCHEMA_DEF_UNIQ ON [FLW_DO_SCHEMA_DEFINITION]([KEY_], [VERSION_], [TENANT_ID_])

INSERT INTO [FLW_DO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', GETDATE(), 3, '7:4fab47a2c0ab81269b34f08ccad42687', 'createTable tableName=FLW_DO_SCHEMA_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DO_SCHEMA_DEFINITION, constraintName=FK_DO_SCHEMA_DEF_DEPLOYMENT, referencedTableName=FLW_DATAOBJECT_DEPLOYMENT; createIndex indexName=IDX_DO_SCHEMA_DEF_DEPL...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459662716')

CREATE TABLE [FLW_DO_DATAOBJECT_INSTANCE] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [DEFINITION_ID_] [nvarchar](255) NOT NULL, [DEFINITION_KEY_] [nvarchar](255) NOT NULL, [LOOKUP_ID_] [nvarchar](128), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](128), [UPDATE_TIME_] [datetime2](6) NOT NULL, [UPDATER_ID_] [nvarchar](128), [SCOPE_ID_] [nvarchar](255), [SUB_SCOPE_ID_] [nvarchar](255), [SCOPE_TYPE_] [nvarchar](255), [SCOPE_DEFINITION_ID_] [nvarchar](255), CONSTRAINT [PK_DO_DATAOBJECT_INSTANCES] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_DO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('4', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', GETDATE(), 4, '7:2cf83fe0fd90e64a2906c3c3d3dc2df9', 'createTable tableName=FLW_DO_DATAOBJECT_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459662716')

UPDATE [FLW_DO_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

