
CREATE TABLE FLW_DO_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_DO_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_DO_DATABASECHANGELOGLOCK;

INSERT INTO FLW_DO_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_DO_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:15:04.565' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_DO_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_DATAOBJECT_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, KEY_ VARCHAR(255) NULL, CATEGORY_ VARCHAR(255) NULL, DEPLOY_TIME_ datetime NULL, TENANT_ID_ VARCHAR(255) NULL, PARENT_DEPLOYMENT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_DATAOBJECT_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_DO_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, DEPLOYMENT_ID_ VARCHAR(255) NULL, RESOURCE_BYTES_ LONGBLOB NULL, CONSTRAINT PK_FLW_DO_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_DATAOBJECT_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128) NULL, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, NAME_ VARCHAR(128) NULL, VERSION_ INT NULL, RESOURCE_NAME_ VARCHAR(4000) NULL, SOURCE_ID_ VARCHAR(128) NULL, SOURCE_TYPE_ VARCHAR(128) NULL, TYPE_ VARCHAR(128) NULL, SUB_TYPE_ VARCHAR(128) NULL, EXTERNAL_ID_ VARCHAR(128) NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NULL, CONSTRAINT PK_DO_DEFINITIONS PRIMARY KEY (ID_));

ALTER TABLE FLW_DATAOBJECT_DEFINITION ADD CONSTRAINT FK_DATAOBJECT_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_DATAOBJECT_DEPLOYMENT (ID_);

CREATE INDEX IDX_DATAOBJECT_DEF_DEPLOYMENT ON FLW_DATAOBJECT_DEFINITION(DEPLOYMENT_ID_);

CREATE UNIQUE INDEX FLW_IDX_DATAOBJECT_DEF_UNIQ ON FLW_DATAOBJECT_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', NOW(), 1, '7:bb4fe641a2be04f665e20bb913a31e3c', 'createTable tableName=FLW_DATAOBJECT_DEPLOYMENT; createTable tableName=FLW_DO_DEPLOYMENT_RESOURCE; createTable tableName=FLW_DATAOBJECT_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DATAOBJECT_DEFINITION, constraintName=FK_DATAOBJECT_DEF_D...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458104582');

CREATE TABLE FLW_MASTER_DATA_INSTANCE (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, DEFINITION_ID_ VARCHAR(255) NOT NULL, DEFINITION_KEY_ VARCHAR(255) NOT NULL, EXTERNAL_ID_ VARCHAR(128) NULL, KEY_ VARCHAR(128) NULL, NAME_ VARCHAR(255) NULL, STATE_ VARCHAR(64) NULL, SORT_ORDER_ INT NULL, IS_FAVORITE_ BIT(1) NULL, DESCRIPTION_ VARCHAR(2000) NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(128) NULL, UPDATE_TIME_ datetime(6) NOT NULL, UPDATER_ID_ VARCHAR(128) NULL, CONSTRAINT PK_DO_DATA_INSTANCES PRIMARY KEY (ID_));

CREATE TABLE FLW_DO_VARIABLES (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, TYPE_ VARCHAR(255) NULL, NAME_ VARCHAR(255) NULL, DATA_INSTANCE_ID_ VARCHAR(255) NULL, BYTEARRAY_ID_ VARCHAR(255) NULL, DOUBLE_ DOUBLE NULL, LONG_ BIGINT NULL, TEXT_ VARCHAR(4000) NULL, TEXT2_ VARCHAR(4000) NULL, CONSTRAINT PK_FLW_DO_VARIABLES PRIMARY KEY (ID_));

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', NOW(), 2, '7:20d4fa181df0c9ae87d703fcb6a1cd2a', 'createTable tableName=FLW_MASTER_DATA_INSTANCE; createTable tableName=FLW_DO_VARIABLES', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458104582');

CREATE TABLE FLW_DO_SCHEMA_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128) NULL, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, VERSION_ INT NULL, RESOURCE_NAME_ VARCHAR(4000) NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NULL, CONSTRAINT PK_DO_SCHEMA_DEFINITIONS PRIMARY KEY (ID_));

ALTER TABLE FLW_DO_SCHEMA_DEFINITION ADD CONSTRAINT FK_DO_SCHEMA_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_DATAOBJECT_DEPLOYMENT (ID_);

CREATE INDEX IDX_DO_SCHEMA_DEF_DEPLOYMENT ON FLW_DO_SCHEMA_DEFINITION(DEPLOYMENT_ID_);

CREATE UNIQUE INDEX FLW_IDX_DO_SCHEMA_DEF_UNIQ ON FLW_DO_SCHEMA_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', NOW(), 3, '7:b91339d61b05e175afccde06b1c97b1b', 'createTable tableName=FLW_DO_SCHEMA_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DO_SCHEMA_DEFINITION, constraintName=FK_DO_SCHEMA_DEF_DEPLOYMENT, referencedTableName=FLW_DATAOBJECT_DEPLOYMENT; createIndex indexName=IDX_DO_SCHEMA_DEF_DEPL...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458104582');

CREATE TABLE FLW_DO_DATAOBJECT_INSTANCE (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, DEFINITION_ID_ VARCHAR(255) NOT NULL, DEFINITION_KEY_ VARCHAR(255) NOT NULL, LOOKUP_ID_ VARCHAR(128) NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(128) NULL, UPDATE_TIME_ datetime(6) NOT NULL, UPDATER_ID_ VARCHAR(128) NULL, SCOPE_ID_ VARCHAR(255) NULL, SUB_SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, SCOPE_DEFINITION_ID_ VARCHAR(255) NULL, CONSTRAINT PK_DO_DATAOBJECT_INSTANCES PRIMARY KEY (ID_));

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', NOW(), 4, '7:bd7da678a30c8f6d484f0a72ec1ee20c', 'createTable tableName=FLW_DO_DATAOBJECT_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458104582');

UPDATE FLW_DO_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

