

CREATE TABLE FLW_DO_DATABASECHANGELOGLOCK (ID INTEGER NOT NULL, LOCKED NUMBER(1) NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR2(255), CONSTRAINT PK_FLW_DO_DATABASECHANGELOGLOC PRIMARY KEY (ID));

DELETE FROM FLW_DO_DATABASECHANGELOGLOCK;

INSERT INTO FLW_DO_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_DO_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = to_timestamp('2019-12-04 11:29:46.069', 'YYYY-MM-DD HH24:MI:SS.FF') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_DO_DATABASECHANGELOG (ID VARCHAR2(255) NOT NULL, AUTHOR VARCHAR2(255) NOT NULL, FILENAME VARCHAR2(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR2(10) NOT NULL, MD5SUM VARCHAR2(35), DESCRIPTION VARCHAR2(255), COMMENTS VARCHAR2(255), TAG VARCHAR2(255), LIQUIBASE VARCHAR2(20), CONTEXTS VARCHAR2(255), LABELS VARCHAR2(255), DEPLOYMENT_ID VARCHAR2(10));

CREATE TABLE FLW_DATAOBJECT_DEPLOYMENT (ID_ VARCHAR2(255) NOT NULL, NAME_ VARCHAR2(255), KEY_ VARCHAR2(255), CATEGORY_ VARCHAR2(255), DEPLOY_TIME_ TIMESTAMP, TENANT_ID_ VARCHAR2(255), PARENT_DEPLOYMENT_ID_ VARCHAR2(255), CONSTRAINT PK_FLW_DATAOBJECT_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_DO_DEPLOYMENT_RESOURCE (ID_ VARCHAR2(255) NOT NULL, NAME_ VARCHAR2(255), DEPLOYMENT_ID_ VARCHAR2(255), RESOURCE_BYTES_ BLOB, CONSTRAINT PK_FLW_DO_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_DATAOBJECT_DEFINITION (ID_ VARCHAR2(255) NOT NULL, REV_ INTEGER NOT NULL, KEY_ VARCHAR2(128), DEPLOYMENT_ID_ VARCHAR2(255) NOT NULL, TENANT_ID_ VARCHAR2(64) DEFAULT '', NAME_ VARCHAR2(128), VERSION_ INTEGER, RESOURCE_NAME_ VARCHAR2(4000), SOURCE_ID_ VARCHAR2(128), SOURCE_TYPE_ VARCHAR2(128), TYPE_ VARCHAR2(128), SUB_TYPE_ VARCHAR2(128), EXTERNAL_ID_ VARCHAR2(128), CREATION_TIME_ TIMESTAMP(6) NOT NULL, CREATOR_ID_ VARCHAR2(64), CONSTRAINT PK_DO_DEFINITIONS PRIMARY KEY (ID_));

ALTER TABLE FLW_DATAOBJECT_DEFINITION ADD CONSTRAINT FK_DATAOBJECT_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_DATAOBJECT_DEPLOYMENT (ID_);

CREATE INDEX IDX_DATAOBJECT_DEF_DEPLOYMENT ON FLW_DATAOBJECT_DEFINITION(DEPLOYMENT_ID_);

CREATE UNIQUE INDEX FLW_IDX_DATAOBJECT_DEF_UNIQ ON FLW_DATAOBJECT_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', SYSTIMESTAMP, 1, '7:bb4fe641a2be04f665e20bb913a31e3c', 'createTable tableName=FLW_DATAOBJECT_DEPLOYMENT; createTable tableName=FLW_DO_DEPLOYMENT_RESOURCE; createTable tableName=FLW_DATAOBJECT_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DATAOBJECT_DEFINITION, constraintName=FK_DATAOBJECT_DEF_D...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458986159');

CREATE TABLE FLW_MASTER_DATA_INSTANCE (ID_ VARCHAR2(255) NOT NULL, REV_ INTEGER NOT NULL, DEFINITION_ID_ VARCHAR2(255) NOT NULL, DEFINITION_KEY_ VARCHAR2(255) NOT NULL, EXTERNAL_ID_ VARCHAR2(128), KEY_ VARCHAR2(128), NAME_ VARCHAR2(255), STATE_ VARCHAR2(64), SORT_ORDER_ INTEGER, IS_FAVORITE_ NUMBER(1), DESCRIPTION_ VARCHAR2(2000), CREATION_TIME_ TIMESTAMP(6) NOT NULL, CREATOR_ID_ VARCHAR2(128), UPDATE_TIME_ TIMESTAMP(6) NOT NULL, UPDATER_ID_ VARCHAR2(128), CONSTRAINT PK_DO_DATA_INSTANCES PRIMARY KEY (ID_));

CREATE TABLE FLW_DO_VARIABLES (ID_ VARCHAR2(255) NOT NULL, REV_ INTEGER NOT NULL, TYPE_ VARCHAR2(255), NAME_ VARCHAR2(255), DATA_INSTANCE_ID_ VARCHAR2(255), BYTEARRAY_ID_ VARCHAR2(255), DOUBLE_ FLOAT(24), LONG_ NUMBER(38, 0), TEXT_ VARCHAR2(4000), TEXT2_ VARCHAR2(4000), CONSTRAINT PK_FLW_DO_VARIABLES PRIMARY KEY (ID_));

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', SYSTIMESTAMP, 2, '7:20d4fa181df0c9ae87d703fcb6a1cd2a', 'createTable tableName=FLW_MASTER_DATA_INSTANCE; createTable tableName=FLW_DO_VARIABLES', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458986159');

CREATE TABLE FLW_DO_SCHEMA_DEFINITION (ID_ VARCHAR2(255) NOT NULL, REV_ INTEGER NOT NULL, KEY_ VARCHAR2(128), DEPLOYMENT_ID_ VARCHAR2(255) NOT NULL, TENANT_ID_ VARCHAR2(64) DEFAULT '', VERSION_ INTEGER, RESOURCE_NAME_ VARCHAR2(4000), CREATION_TIME_ TIMESTAMP(6) NOT NULL, CREATOR_ID_ VARCHAR2(64), CONSTRAINT PK_DO_SCHEMA_DEFINITIONS PRIMARY KEY (ID_));

ALTER TABLE FLW_DO_SCHEMA_DEFINITION ADD CONSTRAINT FK_DO_SCHEMA_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_DATAOBJECT_DEPLOYMENT (ID_);

CREATE INDEX IDX_DO_SCHEMA_DEF_DEPLOYMENT ON FLW_DO_SCHEMA_DEFINITION(DEPLOYMENT_ID_);

CREATE UNIQUE INDEX FLW_IDX_DO_SCHEMA_DEF_UNIQ ON FLW_DO_SCHEMA_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', SYSTIMESTAMP, 3, '7:b91339d61b05e175afccde06b1c97b1b', 'createTable tableName=FLW_DO_SCHEMA_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DO_SCHEMA_DEFINITION, constraintName=FK_DO_SCHEMA_DEF_DEPLOYMENT, referencedTableName=FLW_DATAOBJECT_DEPLOYMENT; createIndex indexName=IDX_DO_SCHEMA_DEF_DEPL...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458986159');

CREATE TABLE FLW_DO_DATAOBJECT_INSTANCE (ID_ VARCHAR2(255) NOT NULL, REV_ INTEGER NOT NULL, DEFINITION_ID_ VARCHAR2(255) NOT NULL, DEFINITION_KEY_ VARCHAR2(255) NOT NULL, LOOKUP_ID_ VARCHAR2(128), CREATION_TIME_ TIMESTAMP(6) NOT NULL, CREATOR_ID_ VARCHAR2(128), UPDATE_TIME_ TIMESTAMP(6) NOT NULL, UPDATER_ID_ VARCHAR2(128), SCOPE_ID_ VARCHAR2(255), SUB_SCOPE_ID_ VARCHAR2(255), SCOPE_TYPE_ VARCHAR2(255), SCOPE_DEFINITION_ID_ VARCHAR2(255), CONSTRAINT PK_DO_DATAOBJECT_INSTANCES PRIMARY KEY (ID_));

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', SYSTIMESTAMP, 4, '7:bd7da678a30c8f6d484f0a72ec1ee20c', 'createTable tableName=FLW_DO_DATAOBJECT_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5458986159');

UPDATE FLW_DO_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

