
CREATE TABLE FLW_ENG_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BOOLEAN NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR(255), CONSTRAINT PK_FLW_ENG_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_ENG_DATABASECHANGELOGLOCK;

INSERT INTO FLW_ENG_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, FALSE);

UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:04:30.970' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE FLW_ENG_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_ENGAGE_CONVERSATION (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '', PARENT_ID_ VARCHAR(64), REFERENCE_ID_ VARCHAR(64), REFERENCE_TYPE_ VARCHAR(64), REFERENCE_DEFINITION_ID_ VARCHAR(64), CONVERSATION_DEFINITION_ID_ VARCHAR(64), STATE_ VARCHAR(64), TYPE_ VARCHAR(64), SUB_TYPE_ VARCHAR(64), PERMISSION_TYPE_ VARCHAR(64), JOINING_TYPE_ VARCHAR(64), PRIORITY_ INT, NAME_ VARCHAR(255), FALLBACK_NAME_ VARCHAR(4000), DESCRIPTION_ VARCHAR(4000), AVATAR_INFO_ VARCHAR(4000), CREATION_TIME_ TIMESTAMP, CREATOR_ID_ VARCHAR(64), UPDATE_TIME_ TIMESTAMP, UPDATER_ID_ VARCHAR(64), RESUBMISSION_TIME_ TIMESTAMP, LAST_MESSAGE_TIME_ TIMESTAMP, METADATA_ CLOB, TAGS_ CLOB, CONSTRAINT PK_ENGAGE_CONVERSATION PRIMARY KEY (ID_));

CREATE TABLE FLW_ENGAGE_MESSAGE (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, EXTERNAL_ID_ VARCHAR(128), TENANT_ID_ VARCHAR(64) DEFAULT '', ACTION_INSTANCE_ID_ VARCHAR(128), MEDIA_CONTENT_ID_ VARCHAR(128), CATEGORY_ VARCHAR(64) NOT NULL, TYPE_ VARCHAR(64), SUB_TYPE_ VARCHAR(64), CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ TIMESTAMP, UPDATER_ID_ VARCHAR(64), SENDER_ID_ VARCHAR(64) NOT NULL, PRIVATE_ BOOLEAN DEFAULT FALSE, CONVERSATION_ID_ VARCHAR(64), ADDITIONAL_CONTENT_ CLOB, STICKY_ BOOLEAN DEFAULT FALSE, TAGS_ CLOB, MAIN_CONTENT_ CLOB, MAIN_CONTENT_TYPE_ VARCHAR(64), METADATA_ CLOB, OWNER_ID_ VARCHAR(64), ASSIGNEE_ID_ VARCHAR(64), ASSIGNED_GROUP_ID_ VARCHAR(64), CANDIDATE_USER_IDS_ CLOB, CANDIDATE_GROUP_IDS_ CLOB, CONSTRAINT PK_ENGAGE_MESSAGE PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_MESSAGE_CONVERSATION FOREIGN KEY (CONVERSATION_ID_) REFERENCES FLW_ENGAGE_CONVERSATION(ID_));

CREATE INDEX FLW_IDX_MSG_CONVERSATION ON FLW_ENGAGE_MESSAGE(CONVERSATION_ID_);

CREATE INDEX FLW_IDX_MSG_CREATION_TIME ON FLW_ENGAGE_MESSAGE(CREATION_TIME_);

CREATE TABLE FLW_CONV_PARTICIPANT_REGISTRY (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, CONVERSATION_ID_ VARCHAR(64) NOT NULL, USER_ID_ VARCHAR(64) NOT NULL, PARTICIPANT_TYPE_ VARCHAR(255), CREATION_TIME_ TIMESTAMP NOT NULL, UPDATE_TIME_ TIMESTAMP, JOINING_TIME_ TIMESTAMP NOT NULL, LEAVING_TIME_ TIMESTAMP, CONSTRAINT PK_CONV_PARTICIPANT_REGISTRY PRIMARY KEY (ID_), CONSTRAINT FK_CONV_PART_REG_CONVERSATION FOREIGN KEY (CONVERSATION_ID_) REFERENCES FLW_ENGAGE_CONVERSATION(ID_) ON DELETE CASCADE);

CREATE TABLE FLW_ENGAGE_CONV_DEFINITIONS (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, NAME_ VARCHAR(128), KEY_ VARCHAR(128), SUB_TYPE_ VARCHAR(128), TENANT_ID_ VARCHAR(64) DEFAULT '', CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ TIMESTAMP, UPDATER_ID_ VARCHAR(64), DEFINITION_CONTENT_ CLOB, CONSTRAINT PK_ENGAGE_CONV_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_ENGAGE_CONVERSATION_STATUS (ID_ VARCHAR(64) NOT NULL, USER_ID_ VARCHAR(64) NOT NULL, CONVERSATION_ID_ VARCHAR(64), FILTER_ID_ VARCHAR(64), TENANT_ID_ VARCHAR(64) DEFAULT '', UNREAD_MESSAGE_COUNT_ INT, UNREAD_PERSONAL_MESSAGE_COUNT_ INT, UNSENT_MESSAGE_COUNT_ INT, LAST_READ_MESSAGE_ID_ VARCHAR(64), LAST_READ_MESSAGE_TIMESTAMP_ TIMESTAMP, LAST_SENT_MESSAGE_ID_ VARCHAR(64), LAST_SENT_MESSAGE_TIMESTAMP_ TIMESTAMP, CONSTRAINT PK_ENGAGE_CONVERSATION_STATUS PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_CONV_STAT_CONV FOREIGN KEY (CONVERSATION_ID_) REFERENCES FLW_ENGAGE_CONVERSATION(ID_));

CREATE INDEX IDX_ENGAGE_STAT_USR_CONV ON FLW_ENGAGE_CONVERSATION_STATUS(USER_ID_, CONVERSATION_ID_);

CREATE INDEX IDX_ENGAGE_STAT_USR_CONV_FLT ON FLW_ENGAGE_CONVERSATION_STATUS(USER_ID_, CONVERSATION_ID_, FILTER_ID_);

CREATE TABLE FLW_ENGAGE_ARC_CONV_EVENT (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, CREATION_TIME_ TIMESTAMP NOT NULL, CONVERSATION_ID_ VARCHAR(64), SECTION_ID_ INT, PERIOD_START_TIME_ TIMESTAMP, PERIOD_END_TIME_ TIMESTAMP, PARTICIPANT_IDS_ CLOB, PARTICIPANT_NAMES_ CLOB, MESSAGE_COUNT_ INT, EVENT_COUNT_ INT, ATTACHMENT_COUNT_ INT, CONSTRAINT PK_ENGAGE_ARC_CONV_EVENT PRIMARY KEY (ID_));

CREATE TABLE FLW_ENGAGE_ARC_JOB_EVENT (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, CREATION_TIME_ TIMESTAMP NOT NULL, START_TIME_ TIMESTAMP, END_TIME_ TIMESTAMP, CONVERSATION_COUNT_ INT, PARTICIPANT_COUNT_ INT, DATA_COUNT_ INT, CONSTRAINT PK_ENGAGE_ARC_JOB_EVENT PRIMARY KEY (ID_));

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 1, '7:6b68fe4d0812331e6eefc0cfbd5f30dd', 'createTable tableName=FLW_ENGAGE_CONVERSATION; createTable tableName=FLW_ENGAGE_MESSAGE; createIndex indexName=FLW_IDX_MSG_CONVERSATION, tableName=FLW_ENGAGE_MESSAGE; createIndex indexName=FLW_IDX_MSG_CREATION_TIME, tableName=FLW_ENGAGE_MESSAGE; c...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

CREATE INDEX IDX_ENGAGE_ARC_CONV_CREATE ON FLW_ENGAGE_ARC_CONV_EVENT(CREATION_TIME_);

CREATE INDEX IDX_ENGAGE_ARC_CONV_CONV ON FLW_ENGAGE_ARC_CONV_EVENT(CONVERSATION_ID_);

CREATE INDEX IDX_ENGAGE_ARC_JOB_EVT_CREATE ON FLW_ENGAGE_ARC_JOB_EVENT(CREATION_TIME_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 2, '7:f8d2b2d56b92e2c40a16280b2c014b0b', 'createIndex indexName=IDX_ENGAGE_ARC_CONV_CREATE, tableName=FLW_ENGAGE_ARC_CONV_EVENT; createIndex indexName=IDX_ENGAGE_ARC_CONV_CONV, tableName=FLW_ENGAGE_ARC_CONV_EVENT; createIndex indexName=IDX_ENGAGE_ARC_JOB_EVT_CREATE, tableName=FLW_ENGAGE_A...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

CREATE TABLE FLW_ENGAGE_USER_ANALYTICS (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, CREATION_TIME_ TIMESTAMP NOT NULL, USER_ID_ VARCHAR(64), START_TIME_ TIMESTAMP, END_TIME_ TIMESTAMP, CONVERSATION_COUNT_ INT, MESSAGE_COUNT_ INT, CONSTRAINT PK_ENGAGE_USER_ANALYTICS PRIMARY KEY (ID_));

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 3, '7:e922e2996118a7df8565d2e9e288481a', 'createTable tableName=FLW_ENGAGE_USER_ANALYTICS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

CREATE INDEX FLW_IDX_MSG_EXTERNAL_ID ON FLW_ENGAGE_MESSAGE(EXTERNAL_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 4, '7:58258572cd685e919734332bf7609f59', 'createIndex indexName=FLW_IDX_MSG_EXTERNAL_ID, tableName=FLW_ENGAGE_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_MESSAGE ALTER COLUMN CREATOR_ID_ SET NULL;

ALTER TABLE FLW_ENGAGE_CONV_DEFINITIONS ALTER COLUMN CREATOR_ID_ SET NULL;

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 5, '7:6febd4d732ddac076c3948deffe019f9', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ENGAGE_MESSAGE; dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ENGAGE_CONV_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_CONVERSATION ADD USER_ACCOUNT_ID_ VARCHAR(64);

ALTER TABLE FLW_ENGAGE_CONVERSATION ADD CONSTRAINT FK_CONV_USER_ACCOUNT FOREIGN KEY (USER_ACCOUNT_ID_) REFERENCES FLW_ID_USER_ACCOUNT (ID_) ON DELETE SET NULL;

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 6, '7:8ed3ca4cf5e8b987928d83c451257010', 'addColumn tableName=FLW_ENGAGE_CONVERSATION; addForeignKeyConstraint baseTableName=FLW_ENGAGE_CONVERSATION, constraintName=FK_CONV_USER_ACCOUNT, referencedTableName=FLW_ID_USER_ACCOUNT', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_MESSAGE DROP COLUMN ADDITIONAL_CONTENT_;

ALTER TABLE FLW_ENGAGE_MESSAGE DROP COLUMN ASSIGNEE_ID_;

ALTER TABLE FLW_ENGAGE_MESSAGE DROP COLUMN ASSIGNED_GROUP_ID_;

ALTER TABLE FLW_ENGAGE_MESSAGE DROP COLUMN CANDIDATE_USER_IDS_;

ALTER TABLE FLW_ENGAGE_MESSAGE DROP COLUMN CANDIDATE_GROUP_IDS_;

ALTER TABLE FLW_ENGAGE_MESSAGE DROP COLUMN METADATA_;

ALTER TABLE FLW_ENGAGE_MESSAGE ALTER COLUMN OWNER_ID_ RENAME TO RECIPIENT_ID_;

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 7, '7:47b4a0391598ef384f43a44b66eb6043', 'dropColumn columnName=ADDITIONAL_CONTENT_, tableName=FLW_ENGAGE_MESSAGE; dropColumn columnName=ASSIGNEE_ID_, tableName=FLW_ENGAGE_MESSAGE; dropColumn columnName=ASSIGNED_GROUP_ID_, tableName=FLW_ENGAGE_MESSAGE; dropColumn columnName=CANDIDATE_USER...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_CONVERSATION ADD EXTERNAL_ID_ VARCHAR(128);

CREATE INDEX FLW_IDX_CONV_EXTERNAL_ID ON FLW_ENGAGE_CONVERSATION(EXTERNAL_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 8, '7:b2e9b81817736669d88f5eaf8d8481d2', 'addColumn tableName=FLW_ENGAGE_CONVERSATION; createIndex indexName=FLW_IDX_CONV_EXTERNAL_ID, tableName=FLW_ENGAGE_CONVERSATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_MESSAGE ADD REFERENCE_ID_ VARCHAR(128);

ALTER TABLE FLW_ENGAGE_MESSAGE ADD REFERENCE_TYPE_ VARCHAR(128);

CREATE TABLE FLW_ENGAGE_TEMP_MESSAGE (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, EXTERNAL_ID_ VARCHAR(128), REFERENCE_ID_ VARCHAR(128), REFERENCE_TYPE_ VARCHAR(128), TENANT_ID_ VARCHAR(64) DEFAULT '', ACTION_INSTANCE_ID_ VARCHAR(128), MEDIA_CONTENT_ID_ VARCHAR(128), CATEGORY_ VARCHAR(64) NOT NULL, TYPE_ VARCHAR(64), SUB_TYPE_ VARCHAR(64), CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64), UPDATE_TIME_ TIMESTAMP, UPDATER_ID_ VARCHAR(64), SENDER_ID_ VARCHAR(64) NOT NULL, PRIVATE_ BOOLEAN DEFAULT FALSE, CONVERSATION_ID_ VARCHAR(64), STICKY_ BOOLEAN DEFAULT FALSE, TAGS_ CLOB, MAIN_CONTENT_ CLOB, MAIN_CONTENT_TYPE_ VARCHAR(64), RECIPIENT_ID_ VARCHAR(64), PROCESSED_ BOOLEAN DEFAULT FALSE, PROCESSING_STATUS_ VARCHAR(255), PROCESSING_REASON_ CLOB, CONSTRAINT PK_ENGAGE_TEMP_MESSAGE PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_TEMP_MSG_CONV FOREIGN KEY (CONVERSATION_ID_) REFERENCES FLW_ENGAGE_CONVERSATION(ID_));

CREATE INDEX FLW_IDX_TEMP_MSG_CONVERSATION ON FLW_ENGAGE_TEMP_MESSAGE(CONVERSATION_ID_);

CREATE INDEX FLW_IDX_TEMP_MSG_CREATION_TIME ON FLW_ENGAGE_TEMP_MESSAGE(CREATION_TIME_);

CREATE INDEX FLW_IDX_TEMP_MSG_EXTERNAL_ID ON FLW_ENGAGE_TEMP_MESSAGE(EXTERNAL_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('11', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 9, '7:4394e37c64a35773d781a902a3355e34', 'addColumn tableName=FLW_ENGAGE_MESSAGE; createTable tableName=FLW_ENGAGE_TEMP_MESSAGE; createIndex indexName=FLW_IDX_TEMP_MSG_CONVERSATION, tableName=FLW_ENGAGE_TEMP_MESSAGE; createIndex indexName=FLW_IDX_TEMP_MSG_CREATION_TIME, tableName=FLW_ENGA...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_CONVERSATION ADD AVATAR_ID_ VARCHAR(255);

ALTER TABLE FLW_ENGAGE_CONVERSATION DROP COLUMN AVATAR_INFO_;

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 10, '7:9318c687d45b8ff6640e4a6f5fcb15d7', 'addColumn tableName=FLW_ENGAGE_CONVERSATION; dropColumn columnName=AVATAR_INFO_, tableName=FLW_ENGAGE_CONVERSATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_CONV_PARTICIPANT_REGISTRY ADD GROUP_ID_ VARCHAR(64);

ALTER TABLE FLW_CONV_PARTICIPANT_REGISTRY ALTER COLUMN USER_ID_ SET NULL;

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 11, '7:4c79db8b81aed118591a02525b40dba0', 'addColumn tableName=FLW_CONV_PARTICIPANT_REGISTRY; dropNotNullConstraint columnName=USER_ID_, tableName=FLW_CONV_PARTICIPANT_REGISTRY', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_MESSAGE ADD RECIPIENT_GROUP_ID_ VARCHAR(64);

ALTER TABLE FLW_ENGAGE_TEMP_MESSAGE ADD RECIPIENT_GROUP_ID_ VARCHAR(64);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 12, '7:64e2fa4441a6f2cd7a61af195992108f', 'addColumn tableName=FLW_ENGAGE_MESSAGE; addColumn tableName=FLW_ENGAGE_TEMP_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

CREATE TABLE FLW_ENGAGE_DEVICE (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64), UPDATE_TIME_ TIMESTAMP, UPDATER_ID_ VARCHAR(64), TENANT_ID_ VARCHAR(64) DEFAULT '', TOKEN_ VARCHAR(255), TOKEN_ENCODING_ VARCHAR(64), ENABLED_ BOOLEAN DEFAULT TRUE, DEVICE_OS_ VARCHAR(64), USER_ID_ VARCHAR(64), APPLICATION_ID_ VARCHAR(255), CONSTRAINT PK_ENGAGE_DEVICE PRIMARY KEY (ID_));

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('15', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 13, '7:3a40052fc17034c663f23c0c00d7b907', 'createTable tableName=FLW_ENGAGE_DEVICE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

update FLW_ENGAGE_CONVERSATION set TYPE_ = SUB_TYPE_;

update FLW_ENGAGE_CONVERSATION set SUB_TYPE_ = 'default';

ALTER TABLE FLW_ENGAGE_CONV_DEFINITIONS ALTER COLUMN SUB_TYPE_ RENAME TO TYPE_;

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('16', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 14, '7:b25d3bea538f97ec5a4d09e021b2a8f9', 'sql; sql; renameColumn newColumnName=TYPE_, oldColumnName=SUB_TYPE_, tableName=FLW_ENGAGE_CONV_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

CREATE INDEX IDX_ENGAGE_USR_FILTER ON FLW_ENGAGE_CONVERSATION_STATUS(USER_ID_, FILTER_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 15, '7:b6077e928b3b1951137e345be04f9c69', 'createIndex indexName=IDX_ENGAGE_USR_FILTER, tableName=FLW_ENGAGE_CONVERSATION_STATUS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

ALTER TABLE FLW_ENGAGE_MESSAGE ADD REPLY_TO_MESSAGE_ID_ VARCHAR(64);

ALTER TABLE FLW_ENGAGE_TEMP_MESSAGE ADD REPLY_TO_MESSAGE_ID_ VARCHAR(64);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('18', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 16, '7:eb105cf4c19c5d99900269a02703b192', 'addColumn tableName=FLW_ENGAGE_MESSAGE; addColumn tableName=FLW_ENGAGE_TEMP_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

CREATE TABLE FLW_ENGAGE_REACTION (ID_ VARCHAR(64) NOT NULL, MESSAGE_ID_ VARCHAR(64) NOT NULL, USER_ID_ VARCHAR(64) NOT NULL, REACTION_ CLOB NOT NULL, CONSTRAINT PK_ENGAGE_REACTION PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_REACTION_MESSAGE FOREIGN KEY (MESSAGE_ID_) REFERENCES FLW_ENGAGE_MESSAGE(ID_) ON DELETE CASCADE);

CREATE INDEX FLW_IDX_REACTION_MSG ON FLW_ENGAGE_REACTION(MESSAGE_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('19', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 17, '7:2a082a21ab2b628e879632276ad032c8', 'createTable tableName=FLW_ENGAGE_REACTION; createIndex indexName=FLW_IDX_REACTION_MSG, tableName=FLW_ENGAGE_REACTION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

CREATE TABLE FLW_ENGAGE_MESSAGE_AUDIT (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, MESSAGE_ID_ VARCHAR(64) NOT NULL, MEDIA_CONTENT_ID_ VARCHAR(128), CONVERSATION_ID_ VARCHAR(64), MAIN_CONTENT_ CLOB, MAIN_CONTENT_TYPE_ VARCHAR(64), CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64), MODIFY_TIME_ TIMESTAMP NOT NULL, MODIFIER_ID_ VARCHAR(64), CONSTRAINT PK_ENGAGE_MESSAGE_AUDIT PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_MESSAGE_AUDIT_CONV FOREIGN KEY (CONVERSATION_ID_) REFERENCES FLW_ENGAGE_CONVERSATION(ID_), CONSTRAINT FK_ENGAGE_MESSAGE_AUDIT_MSG FOREIGN KEY (MESSAGE_ID_) REFERENCES FLW_ENGAGE_MESSAGE(ID_) ON DELETE CASCADE);

CREATE INDEX FLW_IDX_MESSAGE_AUDIT_MSG ON FLW_ENGAGE_MESSAGE_AUDIT(MESSAGE_ID_);

CREATE INDEX FLW_IDX_MESSAGE_AUDIT_CONV ON FLW_ENGAGE_MESSAGE_AUDIT(CONVERSATION_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('20', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 18, '7:5a77bf2e29c882bd23b969c75edf477c', 'createTable tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_MSG, tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_CONV, tableName=FLW_ENGAGE_MESSAGE_AUDIT', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457470989');

UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

