

CREATE TABLE [FLW_ENG_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_ENG_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_ENG_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_ENG_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_ENG_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:41:29.924' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_ENG_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_ENGAGE_CONVERSATION] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ENGAGE_CONVERSATION_TENANT_ID_] DEFAULT '', [PARENT_ID_] [nvarchar](64), [REFERENCE_ID_] [nvarchar](64), [REFERENCE_TYPE_] [nvarchar](64), [REFERENCE_DEFINITION_ID_] [nvarchar](64), [CONVERSATION_DEFINITION_ID_] [nvarchar](64), [STATE_] [nvarchar](64), [TYPE_] [nvarchar](64), [SUB_TYPE_] [nvarchar](64), [PERMISSION_TYPE_] [nvarchar](64), [JOINING_TYPE_] [nvarchar](64), [PRIORITY_] [int], [NAME_] [nvarchar](255), [FALLBACK_NAME_] [nvarchar](4000), [DESCRIPTION_] [nvarchar](4000), [AVATAR_INFO_] [nvarchar](4000), [CREATION_TIME_] [datetime2](6), [CREATOR_ID_] [nvarchar](64), [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), [RESUBMISSION_TIME_] [datetime2](6), [LAST_MESSAGE_TIME_] [datetime2](6), [METADATA_] [nvarchar](MAX), [TAGS_] [nvarchar](MAX), CONSTRAINT [PK_ENGAGE_CONVERSATION] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ENGAGE_MESSAGE] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [EXTERNAL_ID_] [nvarchar](128), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ENGAGE_MESSAGE_TENANT_ID_] DEFAULT '', [ACTION_INSTANCE_ID_] [nvarchar](128), [MEDIA_CONTENT_ID_] [nvarchar](128), [CATEGORY_] [nvarchar](64) NOT NULL, [TYPE_] [nvarchar](64), [SUB_TYPE_] [nvarchar](64), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64) NOT NULL, [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), [SENDER_ID_] [nvarchar](64) NOT NULL, [PRIVATE_] [bit] CONSTRAINT [DF_FLW_ENGAGE_MESSAGE_PRIVATE_] DEFAULT 0, [CONVERSATION_ID_] [nvarchar](64), [ADDITIONAL_CONTENT_] [nvarchar](MAX), [STICKY_] [bit] CONSTRAINT [DF_FLW_ENGAGE_MESSAGE_STICKY_] DEFAULT 0, [TAGS_] [nvarchar](MAX), [MAIN_CONTENT_] [nvarchar](MAX), [MAIN_CONTENT_TYPE_] [nvarchar](64), [METADATA_] [nvarchar](MAX), [OWNER_ID_] [nvarchar](64), [ASSIGNEE_ID_] [nvarchar](64), [ASSIGNED_GROUP_ID_] [nvarchar](64), [CANDIDATE_USER_IDS_] [nvarchar](MAX), [CANDIDATE_GROUP_IDS_] [nvarchar](MAX), CONSTRAINT [PK_ENGAGE_MESSAGE] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ENGAGE_MESSAGE_CONVERSATION] FOREIGN KEY ([CONVERSATION_ID_]) REFERENCES [FLW_ENGAGE_CONVERSATION]([ID_]))

CREATE NONCLUSTERED INDEX FLW_IDX_MSG_CONVERSATION ON [FLW_ENGAGE_MESSAGE]([CONVERSATION_ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_MSG_CREATION_TIME ON [FLW_ENGAGE_MESSAGE]([CREATION_TIME_])

CREATE TABLE [FLW_CONV_PARTICIPANT_REGISTRY] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [CONVERSATION_ID_] [nvarchar](64) NOT NULL, [USER_ID_] [nvarchar](64) NOT NULL, [PARTICIPANT_TYPE_] [nvarchar](255), [CREATION_TIME_] [datetime2](6) NOT NULL, [UPDATE_TIME_] [datetime2](6), [JOINING_TIME_] [datetime2](6) NOT NULL, [LEAVING_TIME_] [datetime2](6), CONSTRAINT [PK_CONV_PARTICIPANT_REGISTRY] PRIMARY KEY ([ID_]), CONSTRAINT [FK_CONV_PART_REG_CONVERSATION] FOREIGN KEY ([CONVERSATION_ID_]) REFERENCES [FLW_ENGAGE_CONVERSATION]([ID_]) ON DELETE CASCADE)

CREATE TABLE [FLW_ENGAGE_CONV_DEFINITIONS] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [NAME_] [nvarchar](128), [KEY_] [nvarchar](128), [SUB_TYPE_] [nvarchar](128), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ENGAGE_CONV_DEFINITIONS_TENANT_ID_] DEFAULT '', [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64) NOT NULL, [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), [DEFINITION_CONTENT_] [nvarchar](MAX), CONSTRAINT [PK_ENGAGE_CONV_DEFINITIONS] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ENGAGE_CONVERSATION_STATUS] ([ID_] [nvarchar](64) NOT NULL, [USER_ID_] [nvarchar](64) NOT NULL, [CONVERSATION_ID_] [nvarchar](64), [FILTER_ID_] [nvarchar](64), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ENGAGE_CONVERSATION_STATUS_TENANT_ID_] DEFAULT '', [UNREAD_MESSAGE_COUNT_] [int], [UNREAD_PERSONAL_MESSAGE_COUNT_] [int], [UNSENT_MESSAGE_COUNT_] [int], [LAST_READ_MESSAGE_ID_] [nvarchar](64), [LAST_READ_MESSAGE_TIMESTAMP_] [datetime2](6), [LAST_SENT_MESSAGE_ID_] [nvarchar](64), [LAST_SENT_MESSAGE_TIMESTAMP_] [datetime2](6), CONSTRAINT [PK_ENGAGE_CONVERSATION_STATUS] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ENGAGE_CONV_STAT_CONV] FOREIGN KEY ([CONVERSATION_ID_]) REFERENCES [FLW_ENGAGE_CONVERSATION]([ID_]))

CREATE NONCLUSTERED INDEX IDX_ENGAGE_STAT_USR_CONV ON [FLW_ENGAGE_CONVERSATION_STATUS]([USER_ID_], [CONVERSATION_ID_])

CREATE NONCLUSTERED INDEX IDX_ENGAGE_STAT_USR_CONV_FLT ON [FLW_ENGAGE_CONVERSATION_STATUS]([USER_ID_], [CONVERSATION_ID_], [FILTER_ID_])

CREATE TABLE [FLW_ENGAGE_ARC_CONV_EVENT] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [CREATION_TIME_] [datetime2](6) NOT NULL, [CONVERSATION_ID_] [nvarchar](64), [SECTION_ID_] [int], [PERIOD_START_TIME_] [datetime2](6), [PERIOD_END_TIME_] [datetime2](6), [PARTICIPANT_IDS_] [nvarchar](MAX), [PARTICIPANT_NAMES_] [nvarchar](MAX), [MESSAGE_COUNT_] [int], [EVENT_COUNT_] [int], [ATTACHMENT_COUNT_] [int], CONSTRAINT [PK_ENGAGE_ARC_CONV_EVENT] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ENGAGE_ARC_JOB_EVENT] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [CREATION_TIME_] [datetime2](6) NOT NULL, [START_TIME_] [datetime2](6), [END_TIME_] [datetime2](6), [CONVERSATION_COUNT_] [int], [PARTICIPANT_COUNT_] [int], [DATA_COUNT_] [int], CONSTRAINT [PK_ENGAGE_ARC_JOB_EVENT] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 1, '7:ec23dd50c3cb70ac636471b00b3d425b', 'createTable tableName=FLW_ENGAGE_CONVERSATION; createTable tableName=FLW_ENGAGE_MESSAGE; createIndex indexName=FLW_IDX_MSG_CONVERSATION, tableName=FLW_ENGAGE_MESSAGE; createIndex indexName=FLW_IDX_MSG_CREATION_TIME, tableName=FLW_ENGAGE_MESSAGE; c...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE NONCLUSTERED INDEX IDX_ENGAGE_ARC_CONV_CREATE ON [FLW_ENGAGE_ARC_CONV_EVENT]([CREATION_TIME_])

CREATE NONCLUSTERED INDEX IDX_ENGAGE_ARC_CONV_CONV ON [FLW_ENGAGE_ARC_CONV_EVENT]([CONVERSATION_ID_])

CREATE NONCLUSTERED INDEX IDX_ENGAGE_ARC_JOB_EVT_CREATE ON [FLW_ENGAGE_ARC_JOB_EVENT]([CREATION_TIME_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 2, '7:f8d2b2d56b92e2c40a16280b2c014b0b', 'createIndex indexName=IDX_ENGAGE_ARC_CONV_CREATE, tableName=FLW_ENGAGE_ARC_CONV_EVENT; createIndex indexName=IDX_ENGAGE_ARC_CONV_CONV, tableName=FLW_ENGAGE_ARC_CONV_EVENT; createIndex indexName=IDX_ENGAGE_ARC_JOB_EVT_CREATE, tableName=FLW_ENGAGE_A...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE NONCLUSTERED INDEX IDX_CONV_PART_REG_CONVERSATION ON [FLW_CONV_PARTICIPANT_REGISTRY]([CONVERSATION_ID_])

CREATE NONCLUSTERED INDEX IDX_ENGAGE_CONV_STAT_CONV ON [FLW_ENGAGE_CONVERSATION_STATUS]([CONVERSATION_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 3, '7:48e1903a227d66e3048f13127b617e6f', 'createIndex indexName=IDX_CONV_PART_REG_CONVERSATION, tableName=FLW_CONV_PARTICIPANT_REGISTRY; createIndex indexName=IDX_ENGAGE_CONV_STAT_CONV, tableName=FLW_ENGAGE_CONVERSATION_STATUS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE TABLE [FLW_ENGAGE_USER_ANALYTICS] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [CREATION_TIME_] [datetime2](6) NOT NULL, [USER_ID_] [nvarchar](64), [START_TIME_] [datetime2](6), [END_TIME_] [datetime2](6), [CONVERSATION_COUNT_] [int], [MESSAGE_COUNT_] [int], CONSTRAINT [PK_ENGAGE_USER_ANALYTICS] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('4', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 4, '7:0a74129b3c7e45e1eb05d78c06a74ffa', 'createTable tableName=FLW_ENGAGE_USER_ANALYTICS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE NONCLUSTERED INDEX FLW_IDX_MSG_EXTERNAL_ID ON [FLW_ENGAGE_MESSAGE]([EXTERNAL_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('5', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 5, '7:58258572cd685e919734332bf7609f59', 'createIndex indexName=FLW_IDX_MSG_EXTERNAL_ID, tableName=FLW_ENGAGE_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_MESSAGE] ALTER COLUMN [CREATOR_ID_] [nvarchar](64) NULL

ALTER TABLE [FLW_ENGAGE_CONV_DEFINITIONS] ALTER COLUMN [CREATOR_ID_] [nvarchar](64) NULL

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('6', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 6, '7:07389e82096c0a697d43f27ad7264985', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ENGAGE_MESSAGE; dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ENGAGE_CONV_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_CONVERSATION] ADD [USER_ACCOUNT_ID_] [nvarchar](64)

ALTER TABLE [FLW_ENGAGE_CONVERSATION] ADD CONSTRAINT [FK_CONV_USER_ACCOUNT] FOREIGN KEY ([USER_ACCOUNT_ID_]) REFERENCES [FLW_ID_USER_ACCOUNT] ([ID_]) ON DELETE SET NULL

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('7', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 7, '7:c2a5209e94383f933459df0b013dafe1', 'addColumn tableName=FLW_ENGAGE_CONVERSATION; addForeignKeyConstraint baseTableName=FLW_ENGAGE_CONVERSATION, constraintName=FK_CONV_USER_ACCOUNT, referencedTableName=FLW_ID_USER_ACCOUNT', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE NONCLUSTERED INDEX FLW_IDX_CONV_USER_ACCOUNT ON [FLW_ENGAGE_CONVERSATION]([USER_ACCOUNT_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('8', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 8, '7:5ac04cb13ad82e4769858223f6443858', 'createIndex indexName=FLW_IDX_CONV_USER_ACCOUNT, tableName=FLW_ENGAGE_CONVERSATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_MESSAGE] DROP COLUMN [ADDITIONAL_CONTENT_]

ALTER TABLE [FLW_ENGAGE_MESSAGE] DROP COLUMN [ASSIGNEE_ID_]

ALTER TABLE [FLW_ENGAGE_MESSAGE] DROP COLUMN [ASSIGNED_GROUP_ID_]

ALTER TABLE [FLW_ENGAGE_MESSAGE] DROP COLUMN [CANDIDATE_USER_IDS_]

ALTER TABLE [FLW_ENGAGE_MESSAGE] DROP COLUMN [CANDIDATE_GROUP_IDS_]

ALTER TABLE [FLW_ENGAGE_MESSAGE] DROP COLUMN [METADATA_]

exec sp_rename '[FLW_ENGAGE_MESSAGE].[OWNER_ID_]', 'RECIPIENT_ID_'

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('9', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 9, '7:5fe2f87a4fd96cde69a27c2cad9c13ce', 'dropColumn columnName=ADDITIONAL_CONTENT_, tableName=FLW_ENGAGE_MESSAGE; dropColumn columnName=ASSIGNEE_ID_, tableName=FLW_ENGAGE_MESSAGE; dropColumn columnName=ASSIGNED_GROUP_ID_, tableName=FLW_ENGAGE_MESSAGE; dropColumn columnName=CANDIDATE_USER...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_CONVERSATION] ADD [EXTERNAL_ID_] [nvarchar](128)

CREATE NONCLUSTERED INDEX FLW_IDX_CONV_EXTERNAL_ID ON [FLW_ENGAGE_CONVERSATION]([EXTERNAL_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('10', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 10, '7:614f5ec9adc5c48b79d90ac607688eb0', 'addColumn tableName=FLW_ENGAGE_CONVERSATION; createIndex indexName=FLW_IDX_CONV_EXTERNAL_ID, tableName=FLW_ENGAGE_CONVERSATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_MESSAGE] ADD [REFERENCE_ID_] [nvarchar](128)

ALTER TABLE [FLW_ENGAGE_MESSAGE] ADD [REFERENCE_TYPE_] [nvarchar](128)

CREATE TABLE [FLW_ENGAGE_TEMP_MESSAGE] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [EXTERNAL_ID_] [nvarchar](128), [REFERENCE_ID_] [nvarchar](128), [REFERENCE_TYPE_] [nvarchar](128), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ENGAGE_TEMP_MESSAGE_TENANT_ID_] DEFAULT '', [ACTION_INSTANCE_ID_] [nvarchar](128), [MEDIA_CONTENT_ID_] [nvarchar](128), [CATEGORY_] [nvarchar](64) NOT NULL, [TYPE_] [nvarchar](64), [SUB_TYPE_] [nvarchar](64), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), [SENDER_ID_] [nvarchar](64) NOT NULL, [PRIVATE_] [bit] CONSTRAINT [DF_FLW_ENGAGE_TEMP_MESSAGE_PRIVATE_] DEFAULT 0, [CONVERSATION_ID_] [nvarchar](64), [STICKY_] [bit] CONSTRAINT [DF_FLW_ENGAGE_TEMP_MESSAGE_STICKY_] DEFAULT 0, [TAGS_] [nvarchar](MAX), [MAIN_CONTENT_] [nvarchar](MAX), [MAIN_CONTENT_TYPE_] [nvarchar](64), [RECIPIENT_ID_] [nvarchar](64), [PROCESSED_] [bit] CONSTRAINT [DF_FLW_ENGAGE_TEMP_MESSAGE_PROCESSED_] DEFAULT 0, [PROCESSING_STATUS_] [nvarchar](255), [PROCESSING_REASON_] [nvarchar](MAX), CONSTRAINT [PK_ENGAGE_TEMP_MESSAGE] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ENGAGE_TEMP_MSG_CONV] FOREIGN KEY ([CONVERSATION_ID_]) REFERENCES [FLW_ENGAGE_CONVERSATION]([ID_]))

CREATE NONCLUSTERED INDEX FLW_IDX_TEMP_MSG_CONVERSATION ON [FLW_ENGAGE_TEMP_MESSAGE]([CONVERSATION_ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_TEMP_MSG_CREATION_TIME ON [FLW_ENGAGE_TEMP_MESSAGE]([CREATION_TIME_])

CREATE NONCLUSTERED INDEX FLW_IDX_TEMP_MSG_EXTERNAL_ID ON [FLW_ENGAGE_TEMP_MESSAGE]([EXTERNAL_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('11', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 11, '7:36d4c49c415b07db54df630687fd0070', 'addColumn tableName=FLW_ENGAGE_MESSAGE; createTable tableName=FLW_ENGAGE_TEMP_MESSAGE; createIndex indexName=FLW_IDX_TEMP_MSG_CONVERSATION, tableName=FLW_ENGAGE_TEMP_MESSAGE; createIndex indexName=FLW_IDX_TEMP_MSG_CREATION_TIME, tableName=FLW_ENGA...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_CONVERSATION] ADD [AVATAR_ID_] [nvarchar](255)

ALTER TABLE [FLW_ENGAGE_CONVERSATION] DROP COLUMN [AVATAR_INFO_]

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('12', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 12, '7:7e70e5ebcd6174d1568201d5cfc8ecc3', 'addColumn tableName=FLW_ENGAGE_CONVERSATION; dropColumn columnName=AVATAR_INFO_, tableName=FLW_ENGAGE_CONVERSATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_CONV_PARTICIPANT_REGISTRY] ADD [GROUP_ID_] [nvarchar](64)

ALTER TABLE [FLW_CONV_PARTICIPANT_REGISTRY] ALTER COLUMN [USER_ID_] [nvarchar](64) NULL

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('13', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 13, '7:e312539b84f48190511381c8ff32aaf6', 'addColumn tableName=FLW_CONV_PARTICIPANT_REGISTRY; dropNotNullConstraint columnName=USER_ID_, tableName=FLW_CONV_PARTICIPANT_REGISTRY', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_MESSAGE] ADD [RECIPIENT_GROUP_ID_] [nvarchar](64)

ALTER TABLE [FLW_ENGAGE_TEMP_MESSAGE] ADD [RECIPIENT_GROUP_ID_] [nvarchar](64)

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('14', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 14, '7:e4b4635648b301dd00709d397a393ea8', 'addColumn tableName=FLW_ENGAGE_MESSAGE; addColumn tableName=FLW_ENGAGE_TEMP_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE TABLE [FLW_ENGAGE_DEVICE] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ENGAGE_DEVICE_TENANT_ID_] DEFAULT '', [TOKEN_] [nvarchar](255), [TOKEN_ENCODING_] [nvarchar](64), [ENABLED_] [bit] CONSTRAINT [DF_FLW_ENGAGE_DEVICE_ENABLED_] DEFAULT 1, [DEVICE_OS_] [nvarchar](64), [USER_ID_] [nvarchar](64), [APPLICATION_ID_] [nvarchar](255), CONSTRAINT [PK_ENGAGE_DEVICE] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('15', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 15, '7:0b77d20aebae66e450a200c29fa4cd3d', 'createTable tableName=FLW_ENGAGE_DEVICE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

update FLW_ENGAGE_CONVERSATION set TYPE_ = SUB_TYPE_

update FLW_ENGAGE_CONVERSATION set SUB_TYPE_ = 'default'

exec sp_rename '[FLW_ENGAGE_CONV_DEFINITIONS].[SUB_TYPE_]', 'TYPE_'

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('16', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 16, '7:c249ed2ff33e2cc4194ae52d43dcf703', 'sql; sql; renameColumn newColumnName=TYPE_, oldColumnName=SUB_TYPE_, tableName=FLW_ENGAGE_CONV_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE NONCLUSTERED INDEX IDX_ENGAGE_USR_FILTER ON [FLW_ENGAGE_CONVERSATION_STATUS]([USER_ID_], [FILTER_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('17', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 17, '7:b6077e928b3b1951137e345be04f9c69', 'createIndex indexName=IDX_ENGAGE_USR_FILTER, tableName=FLW_ENGAGE_CONVERSATION_STATUS', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

ALTER TABLE [FLW_ENGAGE_MESSAGE] ADD [REPLY_TO_MESSAGE_ID_] [nvarchar](64)

ALTER TABLE [FLW_ENGAGE_TEMP_MESSAGE] ADD [REPLY_TO_MESSAGE_ID_] [nvarchar](64)

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('18', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 18, '7:49ed6c16f6d83dfeb6785dfe516bf000', 'addColumn tableName=FLW_ENGAGE_MESSAGE; addColumn tableName=FLW_ENGAGE_TEMP_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE TABLE [FLW_ENGAGE_REACTION] ([ID_] [nvarchar](64) NOT NULL, [MESSAGE_ID_] [nvarchar](64) NOT NULL, [USER_ID_] [nvarchar](64) NOT NULL, [REACTION_] [nvarchar](MAX) NOT NULL, CONSTRAINT [PK_ENGAGE_REACTION] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ENGAGE_REACTION_MESSAGE] FOREIGN KEY ([MESSAGE_ID_]) REFERENCES [FLW_ENGAGE_MESSAGE]([ID_]) ON DELETE CASCADE)

CREATE NONCLUSTERED INDEX FLW_IDX_REACTION_MSG ON [FLW_ENGAGE_REACTION]([MESSAGE_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('19', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 19, '7:8597ce3189b5efb8f9fd115e60788afe', 'createTable tableName=FLW_ENGAGE_REACTION; createIndex indexName=FLW_IDX_REACTION_MSG, tableName=FLW_ENGAGE_REACTION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

CREATE TABLE [FLW_ENGAGE_MESSAGE_AUDIT] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [MESSAGE_ID_] [nvarchar](64) NOT NULL, [MEDIA_CONTENT_ID_] [nvarchar](128), [CONVERSATION_ID_] [nvarchar](64), [MAIN_CONTENT_] [nvarchar](MAX), [MAIN_CONTENT_TYPE_] [nvarchar](64), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), [MODIFY_TIME_] [datetime2](6) NOT NULL, [MODIFIER_ID_] [nvarchar](64), CONSTRAINT [PK_ENGAGE_MESSAGE_AUDIT] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ENGAGE_MESSAGE_AUDIT_CONV] FOREIGN KEY ([CONVERSATION_ID_]) REFERENCES [FLW_ENGAGE_CONVERSATION]([ID_]), CONSTRAINT [FK_ENGAGE_MESSAGE_AUDIT_MSG] FOREIGN KEY ([MESSAGE_ID_]) REFERENCES [FLW_ENGAGE_MESSAGE]([ID_]) ON DELETE CASCADE)

CREATE NONCLUSTERED INDEX FLW_IDX_MESSAGE_AUDIT_MSG ON [FLW_ENGAGE_MESSAGE_AUDIT]([MESSAGE_ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_MESSAGE_AUDIT_CONV ON [FLW_ENGAGE_MESSAGE_AUDIT]([CONVERSATION_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('20', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 20, '7:b4c8e45b02b8d8d0f14422b4cbe97be3', 'createTable tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_MSG, tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_CONV, tableName=FLW_ENGAGE_MESSAGE_AUDIT', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459690010')

UPDATE [FLW_ENG_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

