
CREATE TABLE FLW_PL_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BOOLEAN NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR(255), CONSTRAINT PK_FLW_PL_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_PL_DATABASECHANGELOGLOCK;

INSERT INTO FLW_PL_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, FALSE);

UPDATE FLW_PL_DATABASECHANGELOGLOCK SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:04:29.650' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE FLW_PL_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_TRANSLATION (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, CREATOR_ID_ VARCHAR(64), CREATION_TIME_ TIMESTAMP NOT NULL, UPDATER_ID_ VARCHAR(64), UPDATE_TIME_ TIMESTAMP, SCOPE_ID_ VARCHAR(255) NOT NULL, SCOPE_TYPE_ VARCHAR(64) NOT NULL, KEY_ VARCHAR(255) NOT NULL, LOCALE_ VARCHAR(16) NOT NULL, VALUE_ CLOB, CONSTRAINT PK_FLW_TRANSLATION PRIMARY KEY (ID_));

ALTER TABLE FLW_TRANSLATION ADD CONSTRAINT FLW_UQ_TRANSL_SCOPE_KEY_LOCALE UNIQUE (SCOPE_ID_, SCOPE_TYPE_, KEY_, LOCALE_);

CREATE INDEX FLW_IDX_TRANSLATION_SCOPE ON FLW_TRANSLATION(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO FLW_PL_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', NOW(), 1, '7:e91271e87b6e47d2daa5981205f6437d', 'createTable tableName=FLW_TRANSLATION; addUniqueConstraint constraintName=FLW_UQ_TRANSL_SCOPE_KEY_LOCALE, tableName=FLW_TRANSLATION; createIndex indexName=FLW_IDX_TRANSLATION_SCOPE, tableName=FLW_TRANSLATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457469672');

CREATE TABLE FLW_COMMENT (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, CONTENT_ CLOB, SCOPE_ID_ VARCHAR(255), SCOPE_TYPE_ VARCHAR(64), USER_ID_ VARCHAR(255), CREATED_ TIMESTAMP, UPDATED_ TIMESTAMP, TENANT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_COMMENT PRIMARY KEY (ID_));

CREATE INDEX IDX_COMMENT_SCOPE_ID ON FLW_COMMENT(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX IDX_COMMENT_USER_ID ON FLW_COMMENT(USER_ID_);

INSERT INTO FLW_PL_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', NOW(), 2, '7:ff00112c76968f5d56f2c0dbc7ed9169', 'createTable tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_SCOPE_ID, tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_USER_ID, tableName=FLW_COMMENT', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457469672');

DROP TABLE FLW_PLC_DATABASECHANGELOG;

DROP TABLE FLW_PLC_DATABASECHANGELOGLOCK;

INSERT INTO FLW_PL_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', NOW(), 3, '7:c254fbc9a27b461db58c0cc6f2e495c4', 'dropTable tableName=FLW_PLC_DATABASECHANGELOG; dropTable tableName=FLW_PLC_DATABASECHANGELOGLOCK', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457469672');

UPDATE FLW_PL_DATABASECHANGELOGLOCK SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

