

CREATE TABLE [FLW_PO_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_PO_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_PO_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_PO_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_PO_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:41:09.577' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_PO_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_POLICY_DEPLOYMENT] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [KEY_] [nvarchar](255), [CATEGORY_] [nvarchar](255), [DEPLOY_TIME_] [datetime], [TENANT_ID_] [nvarchar](255), [PARENT_DEPLOYMENT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_POLICY_DEPLOYMENT] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_POLICY_DEPLOYMENT_RESOURCE] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [DEPLOYMENT_ID_] [nvarchar](255), [RESOURCE_BYTES_] [varbinary](MAX), CONSTRAINT [PK_FLW_POLICY_DEPLOYMENT_RESOURCE] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_POLICY_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_POLICY_DEFINITION_TENANT_ID_] DEFAULT '', [TYPE_] [nvarchar](128), [NAME_] [nvarchar](128), [VERSION_] [int], [RESOURCE_NAME_] [nvarchar](4000), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), CONSTRAINT [PK_POLICY_DEFINITIONS] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_POLICY_DEF_LINK] ([ID_] [nvarchar](255) NOT NULL, [POLICY_DEFINITION_ID_] [nvarchar](255) NOT NULL, [TYPE_] [nvarchar](255) NOT NULL, [LINK_VALUE_] [nvarchar](255), CONSTRAINT [PK_FLW_POLICY_DEF_LINK] PRIMARY KEY ([ID_]), CONSTRAINT [FK_POLICY_DEF_LINK_POLICY_DEF] FOREIGN KEY ([POLICY_DEFINITION_ID_]) REFERENCES [FLW_POLICY_DEFINITION]([ID_]))

ALTER TABLE [FLW_POLICY_DEFINITION] ADD CONSTRAINT [FK_POLICY_DEF_DEPLOYMENT] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [FLW_POLICY_DEPLOYMENT] ([ID_])

CREATE NONCLUSTERED INDEX IDX_POLICY_DEF_DEPLOYMENT ON [FLW_POLICY_DEFINITION]([DEPLOYMENT_ID_])

CREATE UNIQUE NONCLUSTERED INDEX ACT_IDX_POLICIES_DEF_UNIQ ON [FLW_POLICY_DEFINITION]([KEY_], [VERSION_], [TENANT_ID_])

CREATE NONCLUSTERED INDEX IDX_POLICY_DEF_LINK_POLICY_DEF ON [FLW_POLICY_DEF_LINK]([POLICY_DEFINITION_ID_])

INSERT INTO [FLW_PO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/policy/db/liquibase/flowable-policy-db-changelog.xml', GETDATE(), 1, '7:14d604c1917d233650b518bf56bf159f', 'createTable tableName=FLW_POLICY_DEPLOYMENT; createTable tableName=FLW_POLICY_DEPLOYMENT_RESOURCE; createTable tableName=FLW_POLICY_DEFINITION; createTable tableName=FLW_POLICY_DEF_LINK; addForeignKeyConstraint baseTableName=FLW_POLICY_DEFINITION,...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459669654')

UPDATE [FLW_PO_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

