

CREATE TABLE [FLW_SE_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_SE_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_SE_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_SE_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_SE_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:41:16.265' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_SE_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_SE_DEPLOYMENT] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [KEY_] [nvarchar](255), [CATEGORY_] [nvarchar](255), [DEPLOY_TIME_] [datetime], [TENANT_ID_] [nvarchar](255), [PARENT_DEPLOYMENT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_SE_DEPLOYMENT] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_SE_DEPLOYMENT_RESOURCE] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [DEPLOYMENT_ID_] [nvarchar](255), [RESOURCE_BYTES_] [varbinary](MAX), CONSTRAINT [PK_FLW_SE_DEPLOYMENT_RESOURCE] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_SE_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_SE_DEFINITION_TENANT_ID_] DEFAULT '', [NAME_] [nvarchar](128), [VERSION_] [int], [RESOURCE_NAME_] [nvarchar](4000), CONSTRAINT [PK_SERVICE_DEFINITIONS] PRIMARY KEY ([ID_]))

CREATE UNIQUE NONCLUSTERED INDEX ACT_IDX_SERVICE_DEF_UNIQ ON [FLW_SE_DEFINITION]([KEY_], [VERSION_], [TENANT_ID_])

ALTER TABLE [FLW_SE_DEFINITION] ADD CONSTRAINT [FK_SERVICE_DEF_DEPLOYMENT] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [FLW_SE_DEPLOYMENT] ([ID_])

CREATE NONCLUSTERED INDEX IDX_SERVICE_DEF_DEPLOYMENT ON [FLW_SE_DEFINITION]([DEPLOYMENT_ID_])

INSERT INTO [FLW_SE_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/serviceregistry/db/liquibase/flowable-serviceregistry-db-changelog.xml', GETDATE(), 1, '7:7e6757fe68512446df63aec3c6744b54', 'createTable tableName=FLW_SE_DEPLOYMENT; createTable tableName=FLW_SE_DEPLOYMENT_RESOURCE; createTable tableName=FLW_SE_DEFINITION; createIndex indexName=ACT_IDX_SERVICE_DEF_UNIQ, tableName=FLW_SE_DEFINITION; addForeignKeyConstraint baseTableName=...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459676334')

ALTER TABLE [FLW_SE_DEFINITION] ADD [REFERENCE_KEY_] [nvarchar](255)

INSERT INTO [FLW_SE_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/serviceregistry/db/liquibase/flowable-serviceregistry-db-changelog.xml', GETDATE(), 2, '7:beb86ea6cb5f76cc8b103fee34b433b1', 'addColumn tableName=FLW_SE_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459676334')

UPDATE [FLW_SE_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

