
CREATE TABLE flw_se_databasechangeloglock (ID INT NOT NULL, LOCKED BOOLEAN NOT NULL, LOCKGRANTED TIMESTAMP WITHOUT TIME ZONE, LOCKEDBY VARCHAR(255), CONSTRAINT PK_FLW_SE_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM flw_se_databasechangeloglock;

INSERT INTO flw_se_databasechangeloglock (ID, LOCKED) VALUES (1, FALSE);

UPDATE flw_se_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:35.977' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE flw_se_databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_SE_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), KEY_ VARCHAR(255), CATEGORY_ VARCHAR(255), DEPLOY_TIME_ TIMESTAMP WITHOUT TIME ZONE, TENANT_ID_ VARCHAR(255), PARENT_DEPLOYMENT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_SE_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_SE_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), DEPLOYMENT_ID_ VARCHAR(255), RESOURCE_BYTES_ BYTEA, CONSTRAINT PK_FLW_SE_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_SE_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128), DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '', NAME_ VARCHAR(128), VERSION_ INT, RESOURCE_NAME_ VARCHAR(4000), CONSTRAINT PK_SERVICE_DEFINITIONS PRIMARY KEY (ID_));

CREATE UNIQUE INDEX ACT_IDX_SERVICE_DEF_UNIQ ON FLW_SE_DEFINITION(KEY_, VERSION_, TENANT_ID_);

ALTER TABLE FLW_SE_DEFINITION ADD CONSTRAINT FK_SERVICE_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_SE_DEPLOYMENT (ID_);

CREATE INDEX IDX_SERVICE_DEF_DEPLOYMENT ON FLW_SE_DEFINITION(DEPLOYMENT_ID_);

INSERT INTO flw_se_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/serviceregistry/db/liquibase/flowable-serviceregistry-db-changelog.xml', NOW(), 1, '7:dc81bb3dba2c4ae9436fb6698d6efdbe', 'createTable tableName=FLW_SE_DEPLOYMENT; createTable tableName=FLW_SE_DEPLOYMENT_RESOURCE; createTable tableName=FLW_SE_DEFINITION; createIndex indexName=ACT_IDX_SERVICE_DEF_UNIQ, tableName=FLW_SE_DEFINITION; addForeignKeyConstraint baseTableName=...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457956000');

ALTER TABLE FLW_SE_DEFINITION ADD REFERENCE_KEY_ VARCHAR(255);

INSERT INTO flw_se_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/serviceregistry/db/liquibase/flowable-serviceregistry-db-changelog.xml', NOW(), 2, '7:fc3161b600f16922c3a5bc99c61599b8', 'addColumn tableName=FLW_SE_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457956000');

UPDATE flw_se_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

