

CREATE TABLE [FLW_TP_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_TP_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_TP_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_TP_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_TP_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:41:23.015' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_TP_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_TEMPL_DEPLOYMENT] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [KEY_] [nvarchar](255), [CATEGORY_] [nvarchar](255), [DEPLOY_TIME_] [datetime], [TENANT_ID_] [nvarchar](255), [PARENT_DEPLOYMENT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_TEMPL_DEPLOYMENT] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_TEMPL_DEPLOYMENT_RESOURCE] ([ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255), [DEPLOYMENT_ID_] [nvarchar](255), [RESOURCE_BYTES_] [varbinary](MAX), CONSTRAINT [PK_FLW_TEMPL_DEPLOYMENT_RESOURCE] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_TEMPL_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [VERSION_] [int], [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](128), [TYPE_] [nvarchar](128), [SUB_TYPE_] [nvarchar](128), [FORM_KEY_] [nvarchar](128), [RESOURCE_NAME_] [nvarchar](4000), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_TEMPL_DEFINITION_TENANT_ID_] DEFAULT '', [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64) NOT NULL, [UPDATE_TIME_] [datetime2](6), [UPDATOR_ID_] [nvarchar](64), CONSTRAINT [PK_TEMPL_DEFINITIONS] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_TEMPL_VAR_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [TEMPLATE_DEF_KEY_] [nvarchar](128), [VARIATION_KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [VERSION_] [int], [VALID_FROM_] [datetime2](6), [VALID_TO_] [datetime2](6), [RESOURCE_NAME_] [nvarchar](4000), [EXTERNAL_ID_] [nvarchar](255), [CONTENT_ID_] [nvarchar](255), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_TEMPL_VAR_DEFINITION_TENANT_ID_] DEFAULT '', [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64) NOT NULL, CONSTRAINT [PK_TEMPL_VAR_DEFINITIONS] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_TP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', GETDATE(), 1, '7:820035986a6d91042d9d576b7304e48e', 'createTable tableName=FLW_TEMPL_DEPLOYMENT; createTable tableName=FLW_TEMPL_DEPLOYMENT_RESOURCE; createTable tableName=FLW_TEMPL_DEFINITION; createTable tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459683088')

ALTER TABLE [FLW_TEMPL_VAR_DEFINITION] ADD [NAME_] [nvarchar](128)

INSERT INTO [FLW_TP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', GETDATE(), 2, '7:e88768e7b69d2d95e8efb54b8a435b8b', 'addColumn tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459683088')

DELETE FROM [FLW_TEMPL_VAR_DEFINITION]

DELETE FROM [FLW_TEMPL_DEFINITION]

DELETE FROM [FLW_TEMPL_DEPLOYMENT_RESOURCE]

DELETE FROM [FLW_TEMPL_DEPLOYMENT]

INSERT INTO [FLW_TP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', GETDATE(), 3, '7:9b7a62b3c7b157181009ca95f43e88a6', 'delete tableName=FLW_TEMPL_VAR_DEFINITION; delete tableName=FLW_TEMPL_DEFINITION; delete tableName=FLW_TEMPL_DEPLOYMENT_RESOURCE; delete tableName=FLW_TEMPL_DEPLOYMENT', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459683088')

ALTER TABLE [FLW_TEMPL_DEFINITION] ALTER COLUMN [CREATOR_ID_] [nvarchar](64) NULL

ALTER TABLE [FLW_TEMPL_VAR_DEFINITION] ALTER COLUMN [CREATOR_ID_] [nvarchar](64) NULL

INSERT INTO [FLW_TP_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('4', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', GETDATE(), 4, '7:4a14d82028c4b87ce27a273d4b39561c', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_TEMPL_DEFINITION; dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459683088')

UPDATE [FLW_TP_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

