
CREATE TABLE FLW_ID_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_ID_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_ID_DATABASECHANGELOGLOCK;

INSERT INTO FLW_ID_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_ID_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-03-26 21:09:52.566' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_ID_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_ID_PROPERTY (NAME_ VARCHAR(64) NOT NULL, VALUE_ VARCHAR(300) NULL, REV_ INT NOT NULL, CONSTRAINT PK_FLW_ID_PROPERTY PRIMARY KEY (NAME_));

CREATE TABLE FLW_ID_GROUP (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, NAME_ VARCHAR(255) NULL, TYPE_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ID_GROUP PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_USER (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, USER_DEFINITION_ID_ VARCHAR(64) NULL, SYSTEM_ID_ VARCHAR(255) NULL, STATE_ VARCHAR(255) NULL, SYSTEM_TYPE_ VARCHAR(255) NULL, FIRST_ VARCHAR(255) NULL, LAST_ VARCHAR(255) NULL, DISPLAY_NAME_ VARCHAR(255) NULL, EMAIL_ VARCHAR(255) NULL, PWD_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(255) DEFAULT '' NULL, CONSTRAINT PK_FLW_ID_USER PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_MEMBERSHIP (USER_ID_ VARCHAR(64) NOT NULL, GROUP_ID_ VARCHAR(64) NOT NULL, CONSTRAINT PK_FLW_ID_MEMBERSHIP PRIMARY KEY (USER_ID_, GROUP_ID_));

CREATE TABLE FLW_ID_USER_DEFINITIONS (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, NAME_ VARCHAR(128) NULL, KEY_ VARCHAR(128) NULL, SUB_TYPE_ VARCHAR(128) NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ datetime(6) NULL, UPDATER_ID_ VARCHAR(64) NULL, DEFINITION_CONTENT_ LONGTEXT NULL, CONSTRAINT PK_ID_USER_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_INFO (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, USER_ID_ VARCHAR(64) NULL, TYPE_ VARCHAR(64) NULL, KEY_ VARCHAR(255) NULL, VALUE_ VARCHAR(255) NULL, PASSWORD_ LONGBLOB NULL, PARENT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ID_INFO PRIMARY KEY (ID_));

CREATE TABLE FLW_IDENTITY_INFO (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, TYPE_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NOT NULL, SCOPE_ID_ VARCHAR(255) NULL, SUB_SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, DOUBLE_ DOUBLE NULL, LONG_ BIGINT NULL, TEXT_ VARCHAR(4000) NULL, TEXT2_ VARCHAR(4000) NULL, CONSTRAINT PK_FLW_IDENTITY_INFO PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_TOKEN (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, TOKEN_VALUE_ VARCHAR(255) NULL, TOKEN_DATE_ datetime(6) NULL, IP_ADDRESS_ VARCHAR(255) NULL, USER_AGENT_ VARCHAR(255) NULL, USER_ID_ VARCHAR(255) NULL, TOKEN_DATA_ VARCHAR(2000) NULL, CONSTRAINT PK_FLW_ID_TOKEN PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_PRIV (ID_ VARCHAR(64) NOT NULL, NAME_ VARCHAR(255) NOT NULL, CONSTRAINT PK_FLW_ID_PRIV PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_PRIV_MAPPING (ID_ VARCHAR(64) NOT NULL, PRIV_ID_ VARCHAR(64) NOT NULL, USER_ID_ VARCHAR(255) NULL, GROUP_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ID_PRIV_MAPPING PRIMARY KEY (ID_));

CREATE INDEX FLW_IDX_IDM_INFO_SCOPE_ID_TYPE ON FLW_IDENTITY_INFO(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX FLW_IDX_MEMB_GROUP ON FLW_ID_MEMBERSHIP(GROUP_ID_);

ALTER TABLE FLW_ID_MEMBERSHIP ADD CONSTRAINT FLW_FK_MEMB_GROUP FOREIGN KEY (GROUP_ID_) REFERENCES FLW_ID_GROUP (ID_);

CREATE INDEX FLW_IDX_MEMB_USER ON FLW_ID_MEMBERSHIP(USER_ID_);

ALTER TABLE FLW_ID_MEMBERSHIP ADD CONSTRAINT FLW_FK_MEMB_USER FOREIGN KEY (USER_ID_) REFERENCES FLW_ID_USER (ID_);

CREATE INDEX FLW_IDX_PRIV_MAPPING ON FLW_ID_PRIV_MAPPING(PRIV_ID_);

ALTER TABLE FLW_ID_PRIV_MAPPING ADD CONSTRAINT FLW_FK_PRIV_MAPPING FOREIGN KEY (PRIV_ID_) REFERENCES FLW_ID_PRIV (ID_);

CREATE INDEX FLW_IDX_PRIV_USER ON FLW_ID_PRIV_MAPPING(USER_ID_);

CREATE INDEX FLW_IDX_PRIV_GROUP ON FLW_ID_PRIV_MAPPING(GROUP_ID_);

ALTER TABLE FLW_ID_PRIV ADD CONSTRAINT FLW_UNIQ_PRIV_NAME UNIQUE (NAME_);

CREATE INDEX FLW_IDX_USER_SYSTEM ON FLW_ID_USER(SYSTEM_ID_, SYSTEM_TYPE_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 1, '7:2891b32cfb727db2f89db751542ba22a', 'createTable tableName=FLW_ID_PROPERTY; createTable tableName=FLW_ID_GROUP; createTable tableName=FLW_ID_USER; createTable tableName=FLW_ID_MEMBERSHIP; createTable tableName=FLW_ID_USER_DEFINITIONS; createTable tableName=FLW_ID_INFO; createTable ta...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

CREATE INDEX FLW_IDX_USER_USER_DEF ON FLW_ID_USER(USER_DEFINITION_ID_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 2, '7:40704c0abe6e375c21447558e4b6489c', 'createIndex indexName=FLW_IDX_USER_USER_DEF, tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

ALTER TABLE FLW_ID_USER ADD SUB_STATE_ VARCHAR(255) NULL;

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 3, '7:15b423b468c6266493b31528c156b677', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

ALTER TABLE FLW_ID_USER ADD CREATOR_ID_ VARCHAR(64) NULL, ADD CREATION_TIME_ datetime(6) NULL, ADD UPDATER_ID_ VARCHAR(64) NULL, ADD UPDATE_TIME_ datetime(6) NULL;

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 4, '7:75439b318ca2c07cfaf8849d347454ea', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

CREATE INDEX FLW_IDX_USER_CREATE_TIME ON FLW_ID_USER(CREATION_TIME_);

CREATE INDEX FLW_IDX_USER_UPDATE_TIME ON FLW_ID_USER(UPDATE_TIME_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 5, '7:abd1224a027b2cc45a14e4f1d22eefe4', 'createIndex indexName=FLW_IDX_USER_CREATE_TIME, tableName=FLW_ID_USER; createIndex indexName=FLW_IDX_USER_UPDATE_TIME, tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

ALTER TABLE FLW_IDENTITY_INFO ADD USER_ID_ VARCHAR(64) NULL, ADD GROUP_ID_ VARCHAR(64) NULL;

ALTER TABLE FLW_IDENTITY_INFO ADD CONSTRAINT FK_IDENTITY_INFO_ID_USER FOREIGN KEY (USER_ID_) REFERENCES FLW_ID_USER (ID_) ON UPDATE NO ACTION ON DELETE CASCADE;

ALTER TABLE FLW_IDENTITY_INFO ADD CONSTRAINT FK_IDENTITY_INFO_ID_GROUP FOREIGN KEY (GROUP_ID_) REFERENCES FLW_ID_GROUP (ID_) ON UPDATE NO ACTION ON DELETE CASCADE;

UPDATE FLW_IDENTITY_INFO SET USER_ID_ = SCOPE_ID_;

DROP INDEX FLW_IDX_IDM_INFO_SCOPE_ID_TYPE ON FLW_IDENTITY_INFO;

ALTER TABLE FLW_IDENTITY_INFO DROP COLUMN SCOPE_ID_;

ALTER TABLE FLW_IDENTITY_INFO DROP COLUMN SCOPE_TYPE_;

ALTER TABLE FLW_IDENTITY_INFO DROP COLUMN SUB_SCOPE_ID_;

CREATE INDEX FLW_IDX_IDM_INFO_USER_ID ON FLW_IDENTITY_INFO(USER_ID_);

CREATE INDEX FLW_IDX_IDM_INFO_GROUP_ID ON FLW_IDENTITY_INFO(GROUP_ID_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 6, '7:b84e52c4c8c0b5012870a7a89525f0b9', 'addColumn tableName=FLW_IDENTITY_INFO; addForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_IDENTITY_INFO_ID_USER, referencedTableName=FLW_ID_USER; addForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_ID...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

ALTER TABLE FLW_ID_USER_DEFINITIONS MODIFY CREATOR_ID_ VARCHAR(64) NULL;

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 7, '7:ad94820baf9f8ade202bef6370e9a0ae', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ID_USER_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

ALTER TABLE FLW_ID_USER ADD AVATAR_ID_ VARCHAR(255) NULL;

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 8, '7:75b5b7d1025b1d8ee03c75cb4950e921', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

ALTER TABLE FLW_ID_USER ADD PRESENCE_ VARCHAR(255) NULL, ADD PRESENCE_TIME_ datetime(6) NULL, ADD TYPE_ VARCHAR(64) NULL, ADD SUB_TYPE_ VARCHAR(64) NULL, ADD LANGUAGE_ VARCHAR(64) NULL, ADD THEME_ VARCHAR(64) NULL;

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 9, '7:4cf92fc5beca32e466e519908d7ef5e6', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

CREATE TABLE FLW_ID_USER_ACCOUNT_DEFINITION (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, NAME_ VARCHAR(128) NULL, KEY_ VARCHAR(128) NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NULL, UPDATE_TIME_ datetime(6) NULL, UPDATER_ID_ VARCHAR(64) NULL, DEFINITION_CONTENT_ LONGTEXT NULL, CONSTRAINT PK_ID_USER_ACCOUNT_DEFINITION PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_USER_ACCOUNT (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, USER_ID_ VARCHAR(64) NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, NAME_ VARCHAR(255) NULL, TYPE_ VARCHAR(64) NULL, SUB_TYPE_ VARCHAR(64) NULL, STATE_ VARCHAR(64) NULL, SUB_STATE_ VARCHAR(64) NULL, BUSINESS_ACCOUNT_ID_ VARCHAR(255) NULL, EXTERNAL_USER_ID_ VARCHAR(255) NULL, USER_ACCOUNT_DEFINITION_ID_ VARCHAR(64) NULL, CREATOR_ID_ VARCHAR(64) NULL, CREATION_TIME_ datetime(6) NOT NULL, UPDATER_ID_ VARCHAR(64) NULL, UPDATE_TIME_ datetime(6) NULL, CONSTRAINT PK_FLW_ID_USER_ACCOUNT PRIMARY KEY (ID_), CONSTRAINT FK_ID_USER_ACCOUNT_USER_DEF FOREIGN KEY (USER_ACCOUNT_DEFINITION_ID_) REFERENCES FLW_ID_USER_ACCOUNT_DEFINITION(ID_), CONSTRAINT FK_ID_USER_ACCOUNT_USER FOREIGN KEY (USER_ID_) REFERENCES FLW_ID_USER(ID_) ON DELETE CASCADE);

CREATE INDEX IDX_USER_ACC_TYPE_SUB_EXT_USER ON FLW_ID_USER_ACCOUNT(TYPE_, SUB_TYPE_, EXTERNAL_USER_ID_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 10, '7:849f504bc136df2a16494e3b29b2ea4d', 'createTable tableName=FLW_ID_USER_ACCOUNT_DEFINITION; createTable tableName=FLW_ID_USER_ACCOUNT; createIndex indexName=IDX_USER_ACC_TYPE_SUB_EXT_USER, tableName=FLW_ID_USER_ACCOUNT', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

UPDATE FLW_ID_USER U
            SET SUB_TYPE_ = (SELECT DEF.SUB_TYPE_ FROM FLW_ID_USER_DEFINITIONS DEF WHERE DEF.ID_ = U.USER_DEFINITION_ID_)
            WHERE U.USER_DEFINITION_ID_ IS NOT NULL;

ALTER TABLE FLW_ID_USER_DEFINITIONS DROP COLUMN SUB_TYPE_;

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 11, '7:610ea1b7b56a66403209150d4bc75774', 'sql; dropColumn columnName=SUB_TYPE_, tableName=FLW_ID_USER_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

ALTER TABLE FLW_ID_GROUP ADD KEY_ VARCHAR(64) DEFAULT '' NULL, ADD TENANT_ID_ VARCHAR(255) DEFAULT '' NULL;

UPDATE FLW_ID_GROUP SET KEY_ = ID_;

UPDATE FLW_ID_USER_DEFINITIONS set TENANT_ID_ = '';

UPDATE FLW_ID_USER_ACCOUNT set TENANT_ID_ = '';

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 12, '7:3a8d25dd882c3fed136f12ccf677bb8f', 'addColumn tableName=FLW_ID_GROUP; sql; sql; sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630992631');

UPDATE FLW_ID_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


CREATE TABLE FLW_FO_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_FO_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_FO_DATABASECHANGELOGLOCK;

INSERT INTO FLW_FO_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_FO_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-03-26 21:09:53.823' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_FO_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_FO_FORM_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, CATEGORY_ VARCHAR(255) NULL, DEPLOY_TIME_ datetime NULL, TENANT_ID_ VARCHAR(255) NULL, PARENT_DEPLOYMENT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_FO_FORM_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_FO_FORM_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, DEPLOYMENT_ID_ VARCHAR(255) NULL, RESOURCE_BYTES_ LONGBLOB NULL, CONSTRAINT PK_FLW_FO_FORM_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_FO_FORM_DEFINITION (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, VERSION_ INT NULL, KEY_ VARCHAR(255) NULL, CATEGORY_ VARCHAR(255) NULL, DEPLOYMENT_ID_ VARCHAR(255) NULL, PARENT_DEPLOYMENT_ID_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(255) NULL, RESOURCE_NAME_ VARCHAR(255) NULL, DESCRIPTION_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_FO_FORM_DEFINITION PRIMARY KEY (ID_));

CREATE TABLE FLW_FO_FORM_INSTANCE (ID_ VARCHAR(255) NOT NULL, FORM_DEFINITION_ID_ VARCHAR(255) NOT NULL, TASK_ID_ VARCHAR(255) NULL, PROC_INST_ID_ VARCHAR(255) NULL, PROC_DEF_ID_ VARCHAR(255) NULL, SUBMITTED_DATE_ datetime NULL, SUBMITTED_BY_ VARCHAR(255) NULL, FORM_VALUES_ID_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_FO_FORM_INSTANCE PRIMARY KEY (ID_));

INSERT INTO FLW_FO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/form/db/liquibase/flowable-form-db-changelog.xml', NOW(), 1, '7:525fa509c296a5eb09a3397fbce39466', 'createTable tableName=FLW_FO_FORM_DEPLOYMENT; createTable tableName=FLW_FO_FORM_RESOURCE; createTable tableName=FLW_FO_FORM_DEFINITION; createTable tableName=FLW_FO_FORM_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630993851');

ALTER TABLE FLW_FO_FORM_INSTANCE ADD SCOPE_ID_ VARCHAR(255) NULL, ADD SCOPE_TYPE_ VARCHAR(255) NULL, ADD SCOPE_DEFINITION_ID_ VARCHAR(255) NULL;

INSERT INTO FLW_FO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/form/db/liquibase/flowable-form-db-changelog.xml', NOW(), 2, '7:99bcac2aa557db19014b7be2bc669ce7', 'addColumn tableName=FLW_FO_FORM_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630993851');

ALTER TABLE FLW_FO_FORM_DEFINITION DROP COLUMN PARENT_DEPLOYMENT_ID_;

INSERT INTO FLW_FO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/form/db/liquibase/flowable-form-db-changelog.xml', NOW(), 3, '7:6c08be805ae55bc0ec5756ee58b7fc90', 'dropColumn columnName=PARENT_DEPLOYMENT_ID_, tableName=FLW_FO_FORM_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630993851');

ALTER TABLE FLW_FO_FORM_DEPLOYMENT MODIFY DEPLOY_TIME_ datetime(3);

ALTER TABLE FLW_FO_FORM_INSTANCE MODIFY SUBMITTED_DATE_ datetime(3);

INSERT INTO FLW_FO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/form/db/liquibase/flowable-form-db-changelog.xml', NOW(), 4, '7:35e2a2f1a661665315f5690986e48e42', 'modifyDataType columnName=DEPLOY_TIME_, tableName=FLW_FO_FORM_DEPLOYMENT; modifyDataType columnName=SUBMITTED_DATE_, tableName=FLW_FO_FORM_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630993851');

CREATE UNIQUE INDEX ACT_IDX_FORM_DEF_UNIQ ON FLW_FO_FORM_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_FO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/form/db/liquibase/flowable-form-db-changelog.xml', NOW(), 5, '7:31d5d350673c835ae9d7d77f3792b8d4', 'createIndex indexName=ACT_IDX_FORM_DEF_UNIQ, tableName=FLW_FO_FORM_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630993851');

DROP INDEX ACT_IDX_FORM_DEF_UNIQ ON FLW_FO_FORM_DEFINITION;

CREATE UNIQUE INDEX FLW_IDX_FORM_DEF_UNIQ ON FLW_FO_FORM_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_FO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/form/db/liquibase/flowable-form-db-changelog.xml', NOW(), 6, '7:e9f5867270835c1fcc3cc409e342c0ef', 'dropIndex indexName=ACT_IDX_FORM_DEF_UNIQ, tableName=FLW_FO_FORM_DEFINITION; createIndex indexName=FLW_IDX_FORM_DEF_UNIQ, tableName=FLW_FO_FORM_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630993851');

UPDATE FLW_FO_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


CREATE TABLE FLW_CO_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_CO_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_CO_DATABASECHANGELOGLOCK;

INSERT INTO FLW_CO_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_CO_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-03-26 21:09:54.134' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_CO_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_CO_CONTENT_ITEM (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NOT NULL, MIME_TYPE_ VARCHAR(255) NULL, TASK_ID_ VARCHAR(255) NULL, PROC_INST_ID_ VARCHAR(255) NULL, CONTENT_STORE_ID_ VARCHAR(255) NULL, CONTENT_STORE_NAME_ VARCHAR(255) NULL, FIELD_ VARCHAR(400) NULL, CONTENT_AVAILABLE_ BIT(1) DEFAULT 0 NULL, CREATED_ timestamp(6) NULL, CREATED_BY_ VARCHAR(255) NULL, LAST_MODIFIED_ timestamp(6) NULL, LAST_MODIFIED_BY_ VARCHAR(255) NULL, CONTENT_SIZE_ BIGINT DEFAULT 0 NULL, TENANT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_CO_CONTENT_ITEM PRIMARY KEY (ID_));

CREATE INDEX idx_contitem_taskid ON FLW_CO_CONTENT_ITEM(TASK_ID_);

CREATE INDEX idx_contitem_procid ON FLW_CO_CONTENT_ITEM(PROC_INST_ID_);

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 1, '7:6e7a92ae97a9c5ad391a6d518f225887', 'createTable tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_taskid, tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_procid, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD SCOPE_ID_ VARCHAR(255) NULL, ADD SCOPE_TYPE_ VARCHAR(255) NULL;

CREATE INDEX idx_contitem_scope ON FLW_CO_CONTENT_ITEM(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 2, '7:145f5d28f0c1f0acc639d0dd905917fc', 'addColumn tableName=FLW_CO_CONTENT_ITEM; createIndex indexName=idx_contitem_scope, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

CREATE TABLE FLW_CO_RENDITION_ITEM (ID_ VARCHAR(255) NOT NULL, CONTENT_ITEM_ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NOT NULL, MIME_TYPE_ VARCHAR(255) NULL, TASK_ID_ VARCHAR(255) NULL, PROC_INST_ID_ VARCHAR(255) NULL, CONTENT_STORE_ID_ VARCHAR(255) NULL, CONTENT_STORE_NAME_ VARCHAR(255) NULL, CONTENT_AVAILABLE_ BIT(1) DEFAULT 0 NULL, CREATED_ timestamp(6) NULL, LAST_MODIFIED_ timestamp(6) NULL, CONTENT_SIZE_ BIGINT DEFAULT 0 NULL, TENANT_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_CO_RENDITION_ITEM PRIMARY KEY (ID_));

CREATE INDEX idx_rendition_taskid ON FLW_CO_RENDITION_ITEM(TASK_ID_);

CREATE INDEX idx_rendition_procid ON FLW_CO_RENDITION_ITEM(PROC_INST_ID_);

CREATE INDEX idx_rendition_scope ON FLW_CO_RENDITION_ITEM(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 3, '7:7b29eaf43fac87a767fcb9e2a19016b3', 'createTable tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_taskid, tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_procid, tableName=FLW_CO_RENDITION_ITEM; createIndex indexName=idx_rendition_scope, table...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

ALTER TABLE FLW_CO_CONTENT_ITEM DROP COLUMN FIELD_;

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 4, '7:f85c5a823734966db4c0a5d972b29620', 'dropColumn columnName=FIELD_, tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

CREATE TABLE FLW_CO_CONTENT_OBJECT (ID_ VARCHAR(255) NOT NULL, CREATED_ timestamp(6) NULL, CONTENT_ LONGBLOB NULL, CONSTRAINT PK_FLW_CO_CONTENT_OBJECT PRIMARY KEY (ID_));

ALTER TABLE FLW_CO_CONTENT_ITEM ADD LOCK_INFO_ VARCHAR(255) NULL;

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 5, '7:244196650fb5485babd5fd9e384b373a', 'createTable tableName=FLW_CO_CONTENT_OBJECT; addColumn tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

ALTER TABLE FLW_CO_RENDITION_ITEM ADD RENDITION_TYPE_ VARCHAR(255) NULL;

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 6, '7:28652b75e4fe380d4690dd452dc51b96', 'addColumn tableName=FLW_CO_RENDITION_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

CREATE TABLE FLW_CO_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, KEY_ VARCHAR(255) NULL, CATEGORY_ VARCHAR(255) NULL, DEPLOY_TIME_ datetime NULL, TENANT_ID_ VARCHAR(255) NULL, PARENT_DEPLOYMENT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_CO_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_CO_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, DEPLOYMENT_ID_ VARCHAR(255) NULL, RESOURCE_BYTES_ LONGBLOB NULL, CONSTRAINT PK_FLW_CO_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_CO_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128) NULL, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, NAME_ VARCHAR(128) NULL, VERSION_ INT NULL, RESOURCE_NAME_ VARCHAR(4000) NULL, CATEGORY_ VARCHAR(255) NULL, CREATION_TIME_ datetime(6) NOT NULL, UPDATE_TIME_ datetime(6) NULL, CONSTRAINT PK_CO_DEFINITIONS PRIMARY KEY (ID_));

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 7, '7:d309378b3332abb360413ece874c876a', 'createTable tableName=FLW_CO_DEPLOYMENT; createTable tableName=FLW_CO_DEPLOYMENT_RESOURCE; createTable tableName=FLW_CO_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

CREATE TABLE FLW_CO_METADATA (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, TYPE_ VARCHAR(255) NULL, NAME_ VARCHAR(255) NULL, CONTENT_ITEM_ID_ VARCHAR(255) NULL, BYTEARRAY_ID_ VARCHAR(255) NULL, DOUBLE_ DOUBLE NULL, LONG_ BIGINT NULL, TEXT_ VARCHAR(4000) NULL, TEXT2_ VARCHAR(4000) NULL, CONSTRAINT PK_FLW_CO_METADATA PRIMARY KEY (ID_));

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 8, '7:d9ae2d7156f6163525024216673337c4', 'createTable tableName=FLW_CO_METADATA', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD VERSION_ INT NULL, ADD VERSION_INFO_ VARCHAR(255) NULL, ADD VERSION_PARENT_ID_ VARCHAR(255) NULL;

UPDATE FLW_CO_CONTENT_ITEM SET VERSION_ = 1;

UPDATE FLW_CO_CONTENT_ITEM SET VERSION_PARENT_ID_ = ID_;

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 9, '7:4fc883e77092c18531f6777286f1c11a', 'addColumn tableName=FLW_CO_CONTENT_ITEM; sql; sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

ALTER TABLE FLW_CO_CONTENT_ITEM ADD DEFINITION_ID_ VARCHAR(255) NULL, ADD TYPE_ VARCHAR(255) NULL, ADD SUB_TYPE_ VARCHAR(255) NULL, ADD STATE_ VARCHAR(255) NULL, ADD SUB_STATE_ VARCHAR(255) NULL;

INSERT INTO FLW_CO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'flowable', 'com/flowable/content/db/liquibase/flowable-content-db-changelog.xml', NOW(), 10, '7:2109341310362f70024460ca174ac209', 'addColumn tableName=FLW_CO_CONTENT_ITEM', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994158');

UPDATE FLW_CO_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


CREATE TABLE FLW_AD_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_AD_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_AD_DATABASECHANGELOGLOCK;

INSERT INTO FLW_AD_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_AD_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-03-26 21:09:54.618' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_AD_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_ACTION_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, KEY_ VARCHAR(255) NULL, CATEGORY_ VARCHAR(255) NULL, DEPLOY_TIME_ datetime NULL, TENANT_ID_ VARCHAR(255) NULL, PARENT_DEPLOYMENT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ACTION_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_ACTION_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, DEPLOYMENT_ID_ VARCHAR(255) NULL, RESOURCE_BYTES_ LONGBLOB NULL, CONSTRAINT PK_FLW_ACTION_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_ACTION_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128) NULL, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, BOT_KEY_ VARCHAR(128) NULL, MANDATORY_ BIT(1) NULL, NAME_ VARCHAR(128) NULL, VERSION_ INT NULL, RESOURCE_NAME_ VARCHAR(4000) NULL, SCOPE_TYPE_ VARCHAR(128) NULL, FORM_KEY_ VARCHAR(128) NULL, GLOBAL_ BIT(1) NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ datetime(6) NULL, UPDATER_ID_ VARCHAR(64) NULL, CONSTRAINT PK_ACTION_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_ACTION_DEF_LINKS (ID_ VARCHAR(64) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, REFERENCE_ID_ VARCHAR(255) NOT NULL, REFERENCE_TYPE_ VARCHAR(255) NOT NULL, REFERENCE_DEFINITION_TYPE_ VARCHAR(255) NULL, CONSTRAINT PK_ACTION_DEF_LINKS PRIMARY KEY (ID_), CONSTRAINT FK_ACTION_DEF_LINK_ACTION_DEFS FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION(ID_));

CREATE TABLE FLW_ACTION_INSTANCE (ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, START_DATE_ datetime(6) NULL, EXECUTION_DATE_ datetime(6) NULL, EXECUTED_BY_ VARCHAR(255) NULL, FORM_INSTANCE_ID_ VARCHAR(255) NULL, SCOPE_DEFINITION_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ACTION_INSTANCE PRIMARY KEY (ID_));

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 1, '7:715c505b07f084ec4794b7b5a51b221f', 'createTable tableName=FLW_ACTION_DEPLOYMENT; createTable tableName=FLW_ACTION_DEPLOYMENT_RESOURCE; createTable tableName=FLW_ACTION_DEFINITION; createTable tableName=FLW_ACTION_DEF_LINKS; createTable tableName=FLW_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

CREATE TABLE FLW_ACTION_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_INSTANCE_ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, SCOPE_ID_ VARCHAR(255) NOT NULL, SCOPE_TYPE_ VARCHAR(255) NOT NULL, CREATION_TIME_ datetime(6) NULL, CONSTRAINT PK_FLW_ACTION_LINK PRIMARY KEY (ID_), CONSTRAINT FK_ACTION_LINK_ACTION_INST FOREIGN KEY (ACTION_INSTANCE_ID_) REFERENCES FLW_ACTION_INSTANCE(ID_), CONSTRAINT FK_ACTION_LINK_ACTION_DEF FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION(ID_));

CREATE INDEX FLW_IDX_ACTION_LINK_SCOPE ON FLW_ACTION_LINK(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 2, '7:da642b1da8880aa55d98a38bce79f08d', 'createTable tableName=FLW_ACTION_LINK; createIndex indexName=FLW_IDX_ACTION_LINK_SCOPE, tableName=FLW_ACTION_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

ALTER TABLE FLW_ACTION_DEFINITION ADD CONSTRAINT FK_ACTION_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_ACTION_DEPLOYMENT (ID_);

ALTER TABLE FLW_ACTION_INSTANCE ADD CONSTRAINT FK_ACTION_INST_ACTION_DEF FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION (ID_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 3, '7:5ed72e935faee78950edec7accaa7ddf', 'addForeignKeyConstraint baseTableName=FLW_ACTION_DEFINITION, constraintName=FK_ACTION_DEF_DEPLOYMENT, referencedTableName=FLW_ACTION_DEPLOYMENT; addForeignKeyConstraint baseTableName=FLW_ACTION_INSTANCE, constraintName=FK_ACTION_INST_ACTION_DEF, r...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

CREATE TABLE FLW_HI_ACTION_INSTANCE (ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, START_DATE_ datetime(6) NULL, EXECUTION_DATE_ datetime(6) NULL, EXECUTED_BY_ VARCHAR(255) NULL, FORM_INSTANCE_ID_ VARCHAR(255) NULL, SCOPE_DEFINITION_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_HI_ACTION_INSTANCE PRIMARY KEY (ID_));

CREATE TABLE FLW_HI_ACTION_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_INSTANCE_ID_ VARCHAR(255) NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NOT NULL, SCOPE_TYPE_ VARCHAR(255) NOT NULL, CREATION_TIME_ datetime(6) NULL, CONSTRAINT PK_FLW_HI_ACTION_LINK PRIMARY KEY (ID_));

CREATE INDEX FLW_IDX_HI_ACTION_LINK_SCOPE ON FLW_HI_ACTION_LINK(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX IDX_HI_ACTION_LINK_ACTION_INST ON FLW_HI_ACTION_LINK(ACTION_INSTANCE_ID_);

CREATE INDEX ACTION_HI_DEFINITION_ID_ ON FLW_HI_ACTION_LINK(ACTION_DEFINITION_ID_);

CREATE INDEX IDX_HI_ACTION_INST_ACTION_DEF ON FLW_HI_ACTION_INSTANCE(ACTION_DEFINITION_ID_);

ALTER TABLE FLW_ACTION_INSTANCE DROP COLUMN EXECUTED_BY_;

ALTER TABLE FLW_ACTION_INSTANCE DROP COLUMN EXECUTION_DATE_;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 4, '7:26a4bc49b288e892048389d88b283d02', 'createTable tableName=FLW_HI_ACTION_INSTANCE; createTable tableName=FLW_HI_ACTION_LINK; createIndex indexName=FLW_IDX_HI_ACTION_LINK_SCOPE, tableName=FLW_HI_ACTION_LINK; createIndex indexName=IDX_HI_ACTION_LINK_ACTION_INST, tableName=FLW_HI_ACTION...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

ALTER TABLE FLW_ACTION_DEFINITION MODIFY CREATOR_ID_ VARCHAR(64) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 5, '7:25614514e47f8e982657584a3de2b1b5', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ACTION_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

CREATE TABLE FLW_ACTION_DEF_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_DEFINITION_ID_ VARCHAR(255) NOT NULL, TYPE_ VARCHAR(255) NOT NULL, LINK_VALUE_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_ACTION_DEF_LINK PRIMARY KEY (ID_), CONSTRAINT FK_ACTION_DEF_LINK_ACTION_DEF FOREIGN KEY (ACTION_DEFINITION_ID_) REFERENCES FLW_ACTION_DEFINITION(ID_));

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 6, '7:c2d63267cb6c494fca5b560db79054c4', 'createTable tableName=FLW_ACTION_DEF_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

DROP TABLE FLW_ACTION_DEF_LINKS;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 7, '7:6ae84d090ccbb44f0cbd5c3c81862126', 'dropTable tableName=FLW_ACTION_DEF_LINKS', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

ALTER TABLE FLW_ACTION_INSTANCE ADD SUB_SCOPE_ID_ VARCHAR(255) NULL;

ALTER TABLE FLW_HI_ACTION_INSTANCE ADD SUB_SCOPE_ID_ VARCHAR(255) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 8, '7:262e2b954e7d2ae044782469e58d8088', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

ALTER TABLE FLW_ACTION_INSTANCE ADD NAME_ VARCHAR(255) NULL;

ALTER TABLE FLW_HI_ACTION_INSTANCE ADD NAME_ VARCHAR(255) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('11', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 9, '7:c672eb4462f2a95b7466eb60157d3124', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

CREATE UNIQUE INDEX ACT_IDX_ACTIONs_DEF_UNIQ ON FLW_ACTION_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 10, '7:13987d51cfbbafac29c9a52d54ab8794', 'createIndex indexName=ACT_IDX_ACTIONs_DEF_UNIQ, tableName=FLW_ACTION_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

ALTER TABLE FLW_ACTION_INSTANCE ADD FORM_KEY_ VARCHAR(128) NULL;

ALTER TABLE FLW_HI_ACTION_INSTANCE ADD FORM_KEY_ VARCHAR(128) NULL;

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', NOW(), 11, '7:d49c6f2f961fa5417234e0b39d89f5ef', 'addColumn tableName=FLW_ACTION_INSTANCE; addColumn tableName=FLW_HI_ACTION_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630994674');

UPDATE FLW_AD_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


CREATE TABLE FLW_AU_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_AU_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_AU_DATABASECHANGELOGLOCK;

INSERT INTO FLW_AU_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_AU_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-03-26 21:09:55.225' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_AU_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_AUDIT_INSTANCE (ID_ VARCHAR(255) NOT NULL, AUDIT_DEFINITION_ID_ VARCHAR(255) NULL, CREATION_TIME_ datetime(6) NULL, CREATOR_ID_ VARCHAR(255) NULL, EXTERNAL_ID_ VARCHAR(255) NULL, TYPE_ VARCHAR(255) NULL, SUB_TYPE_ VARCHAR(255) NULL, SCOPE_DEFINITION_ID_ VARCHAR(255) NULL, SCOPE_ID_ VARCHAR(255) NULL, SCOPE_TYPE_ VARCHAR(255) NULL, PAYLOAD_ LONGTEXT NULL, TENANT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_AUDIT_INSTANCE PRIMARY KEY (ID_));

INSERT INTO FLW_AU_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/audit/db/liquibase/flowable-audit-db-changelog.xml', NOW(), 1, '7:aaa086cb017579252677856dfb79b6a7', 'createTable tableName=FLW_AUDIT_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630995238');

CREATE INDEX FLW_IDX_AUDIT_INST_DEF ON FLW_AUDIT_INSTANCE(AUDIT_DEFINITION_ID_);

CREATE INDEX FLW_IDX_AUDIT_INST_TYPE ON FLW_AUDIT_INSTANCE(TYPE_);

CREATE INDEX FLW_IDX_AUDIT_INST_SCOPE ON FLW_AUDIT_INSTANCE(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX FLW_IDX_AUDIT_INST_CREATE ON FLW_AUDIT_INSTANCE(CREATION_TIME_);

INSERT INTO FLW_AU_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/audit/db/liquibase/flowable-audit-db-changelog.xml', NOW(), 2, '7:698e1206d862b3398091ab054fd2c615', 'createIndex indexName=FLW_IDX_AUDIT_INST_DEF, tableName=FLW_AUDIT_INSTANCE; createIndex indexName=FLW_IDX_AUDIT_INST_TYPE, tableName=FLW_AUDIT_INSTANCE; createIndex indexName=FLW_IDX_AUDIT_INST_SCOPE, tableName=FLW_AUDIT_INSTANCE; createIndex inde...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630995238');

UPDATE FLW_AU_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


CREATE TABLE FLW_TP_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BIT(1) NOT NULL, LOCKGRANTED datetime NULL, LOCKEDBY VARCHAR(255) NULL, CONSTRAINT PK_FLW_TP_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_TP_DATABASECHANGELOGLOCK;

INSERT INTO FLW_TP_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_TP_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-03-26 21:09:55.389' WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_TP_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED datetime NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35) NULL, DESCRIPTION VARCHAR(255) NULL, COMMENTS VARCHAR(255) NULL, TAG VARCHAR(255) NULL, LIQUIBASE VARCHAR(20) NULL, CONTEXTS VARCHAR(255) NULL, LABELS VARCHAR(255) NULL, DEPLOYMENT_ID VARCHAR(10) NULL);

CREATE TABLE FLW_TEMPL_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, KEY_ VARCHAR(255) NULL, CATEGORY_ VARCHAR(255) NULL, DEPLOY_TIME_ datetime NULL, TENANT_ID_ VARCHAR(255) NULL, PARENT_DEPLOYMENT_ID_ VARCHAR(255) NULL, CONSTRAINT PK_FLW_TEMPL_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_TEMPL_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NULL, DEPLOYMENT_ID_ VARCHAR(255) NULL, RESOURCE_BYTES_ LONGBLOB NULL, CONSTRAINT PK_FLW_TEMPL_DEPLOYMENT_RESOURCE PRIMARY KEY (ID_));

CREATE TABLE FLW_TEMPL_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, KEY_ VARCHAR(128) NULL, VERSION_ INT NULL, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(128) NULL, TYPE_ VARCHAR(128) NULL, SUB_TYPE_ VARCHAR(128) NULL, FORM_KEY_ VARCHAR(128) NULL, RESOURCE_NAME_ VARCHAR(4000) NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ datetime(6) NULL, UPDATOR_ID_ VARCHAR(64) NULL, CONSTRAINT PK_TEMPL_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_TEMPL_VAR_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, TEMPLATE_DEF_KEY_ VARCHAR(128) NULL, VARIATION_KEY_ VARCHAR(128) NULL, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, VERSION_ INT NULL, VALID_FROM_ datetime(6) NULL, VALID_TO_ datetime(6) NULL, RESOURCE_NAME_ VARCHAR(4000) NULL, EXTERNAL_ID_ VARCHAR(255) NULL, CONTENT_ID_ VARCHAR(255) NULL, TENANT_ID_ VARCHAR(64) DEFAULT '' NULL, CREATION_TIME_ datetime(6) NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, CONSTRAINT PK_TEMPL_VAR_DEFINITIONS PRIMARY KEY (ID_));

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', NOW(), 1, '7:cc534c4f5d37c0b737e3e8b52457bfc8', 'createTable tableName=FLW_TEMPL_DEPLOYMENT; createTable tableName=FLW_TEMPL_DEPLOYMENT_RESOURCE; createTable tableName=FLW_TEMPL_DEFINITION; createTable tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630995400');

ALTER TABLE FLW_TEMPL_VAR_DEFINITION ADD NAME_ VARCHAR(128) NULL;

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', NOW(), 2, '7:bc2a9becc81836fa1bc3aed1d00f5a0c', 'addColumn tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630995400');

DELETE FROM FLW_TEMPL_VAR_DEFINITION;

DELETE FROM FLW_TEMPL_DEFINITION;

DELETE FROM FLW_TEMPL_DEPLOYMENT_RESOURCE;

DELETE FROM FLW_TEMPL_DEPLOYMENT;

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', NOW(), 3, '7:9b7a62b3c7b157181009ca95f43e88a6', 'delete tableName=FLW_TEMPL_VAR_DEFINITION; delete tableName=FLW_TEMPL_DEFINITION; delete tableName=FLW_TEMPL_DEPLOYMENT_RESOURCE; delete tableName=FLW_TEMPL_DEPLOYMENT', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630995400');

ALTER TABLE FLW_TEMPL_DEFINITION MODIFY CREATOR_ID_ VARCHAR(64) NULL;

ALTER TABLE FLW_TEMPL_VAR_DEFINITION MODIFY CREATOR_ID_ VARCHAR(64) NULL;

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', NOW(), 4, '7:0c4283c6248be298c0c8fec1e57faf52', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_TEMPL_DEFINITION; dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3630995400');

UPDATE FLW_TP_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

