
UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = TRUE, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-10-25 18:22:52.283' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE FLW_ENGAGE_MESSAGE_AUDIT (ID_ VARCHAR(64) NOT NULL, REV_ INT NOT NULL, MESSAGE_ID_ VARCHAR(64) NOT NULL, MEDIA_CONTENT_ID_ VARCHAR(128), CONVERSATION_ID_ VARCHAR(64), MAIN_CONTENT_ CLOB, MAIN_CONTENT_TYPE_ VARCHAR(64), CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64), MODIFY_TIME_ TIMESTAMP NOT NULL, MODIFIER_ID_ VARCHAR(64), CONSTRAINT PK_ENGAGE_MESSAGE_AUDIT PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_MESSAGE_AUDIT_MSG FOREIGN KEY (MESSAGE_ID_) REFERENCES FLW_ENGAGE_MESSAGE(ID_) ON DELETE CASCADE, CONSTRAINT FK_ENGAGE_MESSAGE_AUDIT_CONV FOREIGN KEY (CONVERSATION_ID_) REFERENCES FLW_ENGAGE_CONVERSATION(ID_));

CREATE INDEX FLW_IDX_MESSAGE_AUDIT_MSG ON FLW_ENGAGE_MESSAGE_AUDIT(MESSAGE_ID_);

CREATE INDEX FLW_IDX_MESSAGE_AUDIT_CONV ON FLW_ENGAGE_MESSAGE_AUDIT(CONVERSATION_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('20', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', NOW(), 18, '7:5a77bf2e29c882bd23b969c75edf477c', 'createTable tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_MSG, tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_CONV, tableName=FLW_ENGAGE_MESSAGE_AUDIT', '', 'EXECUTED', NULL, NULL, '3.5.3', '2020572308');

UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

