

UPDATE [FLW_ENG_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.10.1 (192.168.10.1)', [LOCKGRANTED] = '2019-10-25T18:43:59.528' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_ENGAGE_MESSAGE_AUDIT] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [MESSAGE_ID_] [nvarchar](64) NOT NULL, [MEDIA_CONTENT_ID_] [nvarchar](128), [CONVERSATION_ID_] [nvarchar](64), [MAIN_CONTENT_] [nvarchar](MAX), [MAIN_CONTENT_TYPE_] [nvarchar](64), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), [MODIFY_TIME_] [datetime2](6) NOT NULL, [MODIFIER_ID_] [nvarchar](64), CONSTRAINT [PK_ENGAGE_MESSAGE_AUDIT] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ENGAGE_MESSAGE_AUDIT_MSG] FOREIGN KEY ([MESSAGE_ID_]) REFERENCES [FLW_ENGAGE_MESSAGE]([ID_]) ON DELETE CASCADE, CONSTRAINT [FK_ENGAGE_MESSAGE_AUDIT_CONV] FOREIGN KEY ([CONVERSATION_ID_]) REFERENCES [FLW_ENGAGE_CONVERSATION]([ID_]))

CREATE NONCLUSTERED INDEX FLW_IDX_MESSAGE_AUDIT_MSG ON [FLW_ENGAGE_MESSAGE_AUDIT]([MESSAGE_ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_MESSAGE_AUDIT_CONV ON [FLW_ENGAGE_MESSAGE_AUDIT]([CONVERSATION_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('20', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 20, '7:b4c8e45b02b8d8d0f14422b4cbe97be3', 'createTable tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_MSG, tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_CONV, tableName=FLW_ENGAGE_MESSAGE_AUDIT', '', 'EXECUTED', NULL, NULL, '3.5.3', '2021839882')

UPDATE [FLW_ENG_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

