

UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = to_timestamp('2019-10-25 16:35:28.923', 'YYYY-MM-DD HH24:MI:SS.FF') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_ENGAGE_MESSAGE_AUDIT (ID_ VARCHAR2(64) NOT NULL, REV_ INTEGER NOT NULL, MESSAGE_ID_ VARCHAR2(64) NOT NULL, MEDIA_CONTENT_ID_ VARCHAR2(128), CONVERSATION_ID_ VARCHAR2(64), MAIN_CONTENT_ CLOB, MAIN_CONTENT_TYPE_ VARCHAR2(64), CREATION_TIME_ TIMESTAMP(6) NOT NULL, CREATOR_ID_ VARCHAR2(64), MODIFY_TIME_ TIMESTAMP(6) NOT NULL, MODIFIER_ID_ VARCHAR2(64), CONSTRAINT PK_ENGAGE_MESSAGE_AUDIT PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_MESSAGE_AUDIT_CONV FOREIGN KEY (CONVERSATION_ID_) REFERENCES FLW_ENGAGE_CONVERSATION(ID_), CONSTRAINT FK_ENGAGE_MESSAGE_AUDIT_MSG FOREIGN KEY (MESSAGE_ID_) REFERENCES FLW_ENGAGE_MESSAGE(ID_) ON DELETE CASCADE);

CREATE INDEX FLW_IDX_MESSAGE_AUDIT_MSG ON FLW_ENGAGE_MESSAGE_AUDIT(MESSAGE_ID_);

CREATE INDEX FLW_IDX_MESSAGE_AUDIT_CONV ON FLW_ENGAGE_MESSAGE_AUDIT(CONVERSATION_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('20', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', SYSTIMESTAMP, 20, '7:5a77bf2e29c882bd23b969c75edf477c', 'createTable tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_MSG, tableName=FLW_ENGAGE_MESSAGE_AUDIT; createIndex indexName=FLW_IDX_MESSAGE_AUDIT_CONV, tableName=FLW_ENGAGE_MESSAGE_AUDIT', '', 'EXECUTED', NULL, NULL, '3.5.3', '2021329715');

UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

