

UPDATE [FLW_ID_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.15 (192.168.1.15)', [LOCKGRANTED] = '2019-12-04T12:37:55.730' WHERE [ID] = 1 AND [LOCKED] = 0

ALTER TABLE [FLW_IDENTITY_INFO] ADD [TENANT_ID_] [nvarchar](255) CONSTRAINT DF_FLW_IDENTITY_INFO_TENANT_ID_ DEFAULT ''

ALTER TABLE [FLW_IDENTITY_INFO] ADD [UPDATE_TIME_] [datetime2](6)

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('14', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 14, '7:cb5b06dbb858125cecaaa6796daf4b82', 'addColumn tableName=FLW_IDENTITY_INFO', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459476718')

ALTER TABLE [FLW_IDENTITY_INFO] DROP CONSTRAINT [FK_IDENTITY_INFO_ID_USER]

ALTER TABLE [FLW_IDENTITY_INFO] DROP CONSTRAINT [FK_IDENTITY_INFO_ID_GROUP]

ALTER TABLE [FLW_ID_USER_ACCOUNT] DROP CONSTRAINT [FK_ID_USER_ACCOUNT_USER]

DROP INDEX FLW_IDX_IDM_INFO_GROUP_ID ON [FLW_IDENTITY_INFO]

ALTER TABLE [FLW_IDENTITY_INFO] DROP COLUMN [GROUP_ID_]

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('15', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 15, '7:6a800059199657c89641941be54aa754', 'dropForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_IDENTITY_INFO_ID_USER; dropForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_IDENTITY_INFO_ID_GROUP; dropForeignKeyConstraint baseTableName=FLW_ID_US...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459476718')

DROP INDEX FLW_IDX_IDM_INFO_USER_ID ON [FLW_IDENTITY_INFO]

ALTER TABLE [FLW_IDENTITY_INFO] ALTER COLUMN [USER_ID_] [nvarchar](64) NOT NULL

ALTER TABLE [FLW_IDENTITY_INFO] ADD CONSTRAINT [FLW_UQ_ID_INFO_TENANT_USR_NAME] UNIQUE ([TENANT_ID_], [USER_ID_], [NAME_])

CREATE NONCLUSTERED INDEX FLW_IDX_IDM_INFO_USER_ID ON [FLW_IDENTITY_INFO]([USER_ID_])

UPDATE INFO
            SET INFO.TENANT_ID_ = (SELECT U.TENANT_ID_ FROM FLW_ID_USER U WHERE U.ID_ = INFO.USER_ID_)
            FROM FLW_IDENTITY_INFO INFO
            WHERE INFO.USER_ID_ IS NOT NULL

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('16', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 16, '7:190d327c3df4172b54bdc3d623a38d1c', 'dropIndex indexName=FLW_IDX_IDM_INFO_USER_ID, tableName=FLW_IDENTITY_INFO; addNotNullConstraint columnName=USER_ID_, tableName=FLW_IDENTITY_INFO; addUniqueConstraint constraintName=FLW_UQ_ID_INFO_TENANT_USR_NAME, tableName=FLW_IDENTITY_INFO; creat...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459476718')

INSERT INTO FLW_IDENTITY_INFO (
            ID_,
            REV_,
            TYPE_,
            NAME_,
            TEXT_,
            USER_ID_,
            TENANT_ID_
            )
            SELECT 'IDM-' + CONVERT(varchar(64), newid()) AS ID_,
            0 AS REV_,
            TYPE_,
            NAME_,
            TEXT_,
            USER_ID_,
            TENANT_ID_
            FROM (
            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableState' AS NAME_, U.STATE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.STATE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableSubState' AS NAME_, U.SUB_STATE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.SUB_STATE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableType' AS NAME_, U.TYPE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.TYPE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableSubType' AS NAME_, U.SUB_TYPE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.SUB_TYPE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableLanguage' AS NAME_, U.LANGUAGE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.LANGUAGE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableTheme' AS NAME_, U.THEME_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.THEME_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowablePresence' AS NAME_, U.PRESENCE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.PRESENCE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableUserDefinitionKey' AS NAME_, DEF.KEY_ AS TEXT_
            FROM FLW_ID_USER U
            LEFT JOIN FLW_ID_USER_DEFINITIONS DEF ON U.USER_DEFINITION_ID_ = DEF.ID_
            WHERE U.USER_DEFINITION_ID_ IS NOT NULL

            ) INFO

ALTER TABLE [FLW_ID_USER] DROP COLUMN [STATE_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [SUB_STATE_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [TYPE_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [SUB_TYPE_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [LANGUAGE_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [THEME_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [PRESENCE_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [PRESENCE_TIME_]

DROP INDEX FLW_IDX_USER_USER_DEF ON [FLW_ID_USER]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [USER_DEFINITION_ID_]

DROP INDEX FLW_IDX_USER_SYSTEM ON [FLW_ID_USER]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [SYSTEM_ID_]

ALTER TABLE [FLW_ID_USER] DROP COLUMN [SYSTEM_TYPE_]

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('17', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 17, '7:21d651d066f7a03c4b42beafbd355ac9', 'sql; dropColumn columnName=STATE_, tableName=FLW_ID_USER; dropColumn columnName=SUB_STATE_, tableName=FLW_ID_USER; dropColumn columnName=TYPE_, tableName=FLW_ID_USER; dropColumn columnName=SUB_TYPE_, tableName=FLW_ID_USER; dropColumn columnName=LA...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5459476718')

UPDATE [FLW_ID_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

