

CREATE TABLE FLW_PL_DATABASECHANGELOGLOCK (ID INTEGER NOT NULL, LOCKED NUMBER(1) NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR2(255), CONSTRAINT PK_FLW_PL_DATABASECHANGELOGLOC PRIMARY KEY (ID));

DELETE FROM FLW_PL_DATABASECHANGELOGLOCK;

INSERT INTO FLW_PL_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_PL_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.12 (192.168.1.12)', LOCKGRANTED = to_timestamp('2019-10-01 16:42:24.432', 'YYYY-MM-DD HH24:MI:SS.FF') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_PL_DATABASECHANGELOG (ID VARCHAR2(255) NOT NULL, AUTHOR VARCHAR2(255) NOT NULL, FILENAME VARCHAR2(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR2(10) NOT NULL, MD5SUM VARCHAR2(35), DESCRIPTION VARCHAR2(255), COMMENTS VARCHAR2(255), TAG VARCHAR2(255), LIQUIBASE VARCHAR2(20), CONTEXTS VARCHAR2(255), LABELS VARCHAR2(255), DEPLOYMENT_ID VARCHAR2(10));

CREATE TABLE FLW_TRANSLATION (ID_ VARCHAR2(64) NOT NULL, REV_ INTEGER NOT NULL, CREATOR_ID_ VARCHAR2(64), CREATION_TIME_ TIMESTAMP(6) NOT NULL, UPDATER_ID_ VARCHAR2(64), UPDATE_TIME_ TIMESTAMP(6), SCOPE_ID_ VARCHAR2(255) NOT NULL, SCOPE_TYPE_ VARCHAR2(64) NOT NULL, KEY_ VARCHAR2(255) NOT NULL, LOCALE_ VARCHAR2(16) NOT NULL, VALUE_ CLOB, CONSTRAINT PK_FLW_TRANSLATION PRIMARY KEY (ID_));

ALTER TABLE FLW_TRANSLATION ADD CONSTRAINT FLW_UQ_TRANSL_SCOPE_KEY_LOCALE UNIQUE (SCOPE_ID_, SCOPE_TYPE_, KEY_, LOCALE_);

CREATE INDEX FLW_IDX_TRANSLATION_SCOPE ON FLW_TRANSLATION(SCOPE_ID_, SCOPE_TYPE_);

INSERT INTO FLW_PL_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', SYSTIMESTAMP, 1, '7:e91271e87b6e47d2daa5981205f6437d', 'createTable tableName=FLW_TRANSLATION; addUniqueConstraint constraintName=FLW_UQ_TRANSL_SCOPE_KEY_LOCALE, tableName=FLW_TRANSLATION; createIndex indexName=FLW_IDX_TRANSLATION_SCOPE, tableName=FLW_TRANSLATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '9948144535');

INSERT INTO FLW_PL_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', SYSTIMESTAMP, 2, '7:ff00112c76968f5d56f2c0dbc7ed9169', 'createTable tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_SCOPE_ID, tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_USER_ID, tableName=FLW_COMMENT', '', 'MARK_RAN', NULL, NULL, '3.5.3', '9948144535');

DROP TABLE FLW_PLC_DATABASECHANGELOG;

DROP TABLE FLW_PLC_DATABASECHANGELOGLOCK;

INSERT INTO FLW_PL_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', SYSTIMESTAMP, 3, '7:c254fbc9a27b461db58c0cc6f2e495c4', 'dropTable tableName=FLW_PLC_DATABASECHANGELOG; dropTable tableName=FLW_PLC_DATABASECHANGELOGLOCK', '', 'EXECUTED', NULL, NULL, '3.5.3', '9948144535');

UPDATE FLW_PL_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

